import type { AsyncDependenciesBlock, JsChunkGraph } from "@rspack/binding";
import type { RuntimeSpec } from "./util/runtime";
import { Chunk } from "./Chunk";
import { ChunkGroup } from "./ChunkGroup";
import type { Module } from "./Module";
export declare class ChunkGraph {
    #private;
    static __from_binding(binding: JsChunkGraph): ChunkGraph;
    constructor(binding: JsChunkGraph);
    hasChunkEntryDependentChunks(chunk: Chunk): boolean;
    getChunkModules(chunk: Chunk): ReadonlyArray<Module>;
    getChunkModulesIterable(chunk: Chunk): Iterable<Module>;
    getOrderedChunkModulesIterable(chunk: Chunk, compareFn: (a: Module, b: Module) => number): Iterable<Module>;
    getChunkEntryModulesIterable(chunk: Chunk): Iterable<Module>;
    getNumberOfEntryModules(chunk: Chunk): number;
    getChunkEntryDependentChunksIterable(chunk: Chunk): Iterable<Chunk>;
    getChunkModulesIterableBySourceType(chunk: Chunk, sourceType: string): Iterable<Module>;
    getModuleChunks(module: Module): Chunk[];
    getModuleChunksIterable(module: Module): Iterable<Chunk>;
    getModuleId(module: Module): string | number | null;
    getModuleHash(module: Module, runtime: RuntimeSpec): string | null;
    getBlockChunkGroup(depBlock: AsyncDependenciesBlock): ChunkGroup | null;
}
