import type { JsChunkGroup } from "@rspack/binding";
import { Chunk } from "./Chunk";
import type { Module } from "./Module";
export declare class ChunkGroup {
    #private;
    readonly chunks: ReadonlyArray<Chunk>;
    readonly index?: number;
    readonly name?: string;
    readonly origins: ReadonlyArray<ChunkGroupOrigin>;
    readonly childrenIterable: Set<ChunkGroup>;
    static __from_binding(binding: JsChunkGroup): ChunkGroup;
    protected constructor(inner: JsChunkGroup);
    getFiles(): ReadonlyArray<string>;
    getParents(): ReadonlyArray<ChunkGroup>;
    isInitial(): boolean;
    getModulePreOrderIndex(module: Module): number | null;
    getModulePostOrderIndex(module: Module): number | null;
}
interface ChunkGroupOrigin {
    module?: Module;
    request?: string;
    loc?: {
        start: {
            line: number;
            column: number;
        };
        end?: {
            line: number;
            column: number;
        };
    } | string;
}
export {};
