import type { Config, EnvConfig, EsParserConfig, JscConfig, ModuleConfig, ParserConfig, TerserEcmaVersion, TransformConfig, TsParserConfig } from "../../../compiled/@swc/types";
import { z } from "../../../compiled/zod";
import { type PluginImportOptions } from "./pluginImport";
export type SwcLoaderEnvConfig = EnvConfig;
export type SwcLoaderJscConfig = JscConfig;
export type SwcLoaderModuleConfig = ModuleConfig;
export type SwcLoaderParserConfig = ParserConfig;
export type SwcLoaderEsParserConfig = EsParserConfig;
export type SwcLoaderTsParserConfig = TsParserConfig;
export type SwcLoaderTransformConfig = TransformConfig;
export type SwcLoaderOptions = Config & {
    isModule?: boolean | "unknown";
    /**
     * Experimental features provided by Rspack.
     * @experimental
     */
    rspackExperiments?: {
        import?: PluginImportOptions;
    };
};
export interface TerserCompressOptions {
    arguments?: boolean;
    arrows?: boolean;
    booleans?: boolean;
    booleans_as_integers?: boolean;
    collapse_vars?: boolean;
    comparisons?: boolean;
    computed_props?: boolean;
    conditionals?: boolean;
    dead_code?: boolean;
    defaults?: boolean;
    directives?: boolean;
    drop_console?: boolean;
    drop_debugger?: boolean;
    ecma?: TerserEcmaVersion;
    evaluate?: boolean;
    expression?: boolean;
    global_defs?: any;
    hoist_funs?: boolean;
    hoist_props?: boolean;
    hoist_vars?: boolean;
    ie8?: boolean;
    if_return?: boolean;
    inline?: 0 | 1 | 2 | 3;
    join_vars?: boolean;
    keep_classnames?: boolean;
    keep_fargs?: boolean;
    keep_fnames?: boolean;
    keep_infinity?: boolean;
    loops?: boolean;
    negate_iife?: boolean;
    passes?: number;
    properties?: boolean;
    pure_getters?: any;
    pure_funcs?: string[];
    reduce_funcs?: boolean;
    reduce_vars?: boolean;
    sequences?: any;
    side_effects?: boolean;
    switches?: boolean;
    top_retain?: any;
    toplevel?: any;
    typeofs?: boolean;
    unsafe?: boolean;
    unsafe_passes?: boolean;
    unsafe_arrows?: boolean;
    unsafe_comps?: boolean;
    unsafe_function?: boolean;
    unsafe_math?: boolean;
    unsafe_symbols?: boolean;
    unsafe_methods?: boolean;
    unsafe_proto?: boolean;
    unsafe_regexp?: boolean;
    unsafe_undefined?: boolean;
    unused?: boolean;
    const_to_let?: boolean;
    module?: boolean;
}
export declare const ZodSwcLoaderOptions: z.ZodObject<{
    $schema: z.ZodOptional<z.ZodString>;
    test: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    exclude: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodString, "many">]>>;
    env: z.ZodOptional<z.ZodObject<{
        mode: z.ZodOptional<z.ZodEnum<["usage", "entry"]>>;
        debug: z.ZodOptional<z.ZodBoolean>;
        dynamicImport: z.ZodOptional<z.ZodBoolean>;
        loose: z.ZodOptional<z.ZodBoolean>;
        bugfixes: z.ZodOptional<z.ZodBoolean>;
        skip: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        include: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        exclude: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        coreJs: z.ZodOptional<z.ZodString>;
        targets: z.ZodOptional<z.ZodAny>;
        path: z.ZodOptional<z.ZodString>;
        shippedProposals: z.ZodOptional<z.ZodBoolean>;
        forceAllTransforms: z.ZodOptional<z.ZodBoolean>;
    }, "strict", z.ZodTypeAny, {
        exclude?: string[] | undefined;
        loose?: boolean | undefined;
        path?: string | undefined;
        mode?: "usage" | "entry" | undefined;
        debug?: boolean | undefined;
        dynamicImport?: boolean | undefined;
        bugfixes?: boolean | undefined;
        skip?: string[] | undefined;
        include?: string[] | undefined;
        coreJs?: string | undefined;
        targets?: any;
        shippedProposals?: boolean | undefined;
        forceAllTransforms?: boolean | undefined;
    }, {
        exclude?: string[] | undefined;
        loose?: boolean | undefined;
        path?: string | undefined;
        mode?: "usage" | "entry" | undefined;
        debug?: boolean | undefined;
        dynamicImport?: boolean | undefined;
        bugfixes?: boolean | undefined;
        skip?: string[] | undefined;
        include?: string[] | undefined;
        coreJs?: string | undefined;
        targets?: any;
        shippedProposals?: boolean | undefined;
        forceAllTransforms?: boolean | undefined;
    }>>;
    jsc: z.ZodOptional<z.ZodObject<{
        assumptions: z.ZodOptional<z.ZodObject<{
            arrayLikeIsIterable: z.ZodOptional<z.ZodBoolean>;
            constantReexports: z.ZodOptional<z.ZodBoolean>;
            constantSuper: z.ZodOptional<z.ZodBoolean>;
            enumerableModuleMeta: z.ZodOptional<z.ZodBoolean>;
            ignoreFunctionLength: z.ZodOptional<z.ZodBoolean>;
            ignoreFunctionName: z.ZodOptional<z.ZodBoolean>;
            ignoreToPrimitiveHint: z.ZodOptional<z.ZodBoolean>;
            iterableIsArray: z.ZodOptional<z.ZodBoolean>;
            mutableTemplateObject: z.ZodOptional<z.ZodBoolean>;
            noClassCalls: z.ZodOptional<z.ZodBoolean>;
            noDocumentAll: z.ZodOptional<z.ZodBoolean>;
            noIncompleteNsImportDetection: z.ZodOptional<z.ZodBoolean>;
            noNewArrows: z.ZodOptional<z.ZodBoolean>;
            objectRestNoSymbols: z.ZodOptional<z.ZodBoolean>;
            privateFieldsAsProperties: z.ZodOptional<z.ZodBoolean>;
            pureGetters: z.ZodOptional<z.ZodBoolean>;
            setClassMethods: z.ZodOptional<z.ZodBoolean>;
            setComputedProperties: z.ZodOptional<z.ZodBoolean>;
            setPublicClassFields: z.ZodOptional<z.ZodBoolean>;
            setSpreadProperties: z.ZodOptional<z.ZodBoolean>;
            skipForOfIteratorClosing: z.ZodOptional<z.ZodBoolean>;
            superIsCallableConstructor: z.ZodOptional<z.ZodBoolean>;
            tsEnumIsReadonly: z.ZodOptional<z.ZodBoolean>;
        }, "strict", z.ZodTypeAny, {
            arrayLikeIsIterable?: boolean | undefined;
            constantReexports?: boolean | undefined;
            constantSuper?: boolean | undefined;
            enumerableModuleMeta?: boolean | undefined;
            ignoreFunctionLength?: boolean | undefined;
            ignoreFunctionName?: boolean | undefined;
            ignoreToPrimitiveHint?: boolean | undefined;
            iterableIsArray?: boolean | undefined;
            mutableTemplateObject?: boolean | undefined;
            noClassCalls?: boolean | undefined;
            noDocumentAll?: boolean | undefined;
            noIncompleteNsImportDetection?: boolean | undefined;
            noNewArrows?: boolean | undefined;
            objectRestNoSymbols?: boolean | undefined;
            privateFieldsAsProperties?: boolean | undefined;
            pureGetters?: boolean | undefined;
            setClassMethods?: boolean | undefined;
            setComputedProperties?: boolean | undefined;
            setPublicClassFields?: boolean | undefined;
            setSpreadProperties?: boolean | undefined;
            skipForOfIteratorClosing?: boolean | undefined;
            superIsCallableConstructor?: boolean | undefined;
            tsEnumIsReadonly?: boolean | undefined;
        }, {
            arrayLikeIsIterable?: boolean | undefined;
            constantReexports?: boolean | undefined;
            constantSuper?: boolean | undefined;
            enumerableModuleMeta?: boolean | undefined;
            ignoreFunctionLength?: boolean | undefined;
            ignoreFunctionName?: boolean | undefined;
            ignoreToPrimitiveHint?: boolean | undefined;
            iterableIsArray?: boolean | undefined;
            mutableTemplateObject?: boolean | undefined;
            noClassCalls?: boolean | undefined;
            noDocumentAll?: boolean | undefined;
            noIncompleteNsImportDetection?: boolean | undefined;
            noNewArrows?: boolean | undefined;
            objectRestNoSymbols?: boolean | undefined;
            privateFieldsAsProperties?: boolean | undefined;
            pureGetters?: boolean | undefined;
            setClassMethods?: boolean | undefined;
            setComputedProperties?: boolean | undefined;
            setPublicClassFields?: boolean | undefined;
            setSpreadProperties?: boolean | undefined;
            skipForOfIteratorClosing?: boolean | undefined;
            superIsCallableConstructor?: boolean | undefined;
            tsEnumIsReadonly?: boolean | undefined;
        }>>;
        loose: z.ZodOptional<z.ZodBoolean>;
        parser: z.ZodOptional<z.ZodObject<{
            syntax: z.ZodEnum<["typescript", "ecmascript"]>;
            tsx: z.ZodOptional<z.ZodBoolean>;
            decorators: z.ZodOptional<z.ZodBoolean>;
            dynamicImport: z.ZodOptional<z.ZodBoolean>;
            jsx: z.ZodOptional<z.ZodBoolean>;
            numericSeparator: z.ZodOptional<z.ZodBoolean>;
            classPrivateProperty: z.ZodOptional<z.ZodBoolean>;
            privateMethod: z.ZodOptional<z.ZodBoolean>;
            classProperty: z.ZodOptional<z.ZodBoolean>;
            functionBind: z.ZodOptional<z.ZodBoolean>;
            decoratorsBeforeExport: z.ZodOptional<z.ZodBoolean>;
            exportDefaultFrom: z.ZodOptional<z.ZodBoolean>;
            exportNamespaceFrom: z.ZodOptional<z.ZodBoolean>;
            nullishCoalescing: z.ZodOptional<z.ZodBoolean>;
            optionalChaining: z.ZodOptional<z.ZodBoolean>;
            importMeta: z.ZodOptional<z.ZodBoolean>;
            topLevelAwait: z.ZodOptional<z.ZodBoolean>;
            importAssertions: z.ZodOptional<z.ZodBoolean>;
            importAttributes: z.ZodOptional<z.ZodBoolean>;
            allowSuperOutsideMethod: z.ZodOptional<z.ZodBoolean>;
            allowReturnOutsideFunction: z.ZodOptional<z.ZodBoolean>;
            autoAccessors: z.ZodOptional<z.ZodBoolean>;
            explicitResourceManagement: z.ZodOptional<z.ZodBoolean>;
        }, "strict", z.ZodTypeAny, {
            syntax: "typescript" | "ecmascript";
            dynamicImport?: boolean | undefined;
            tsx?: boolean | undefined;
            decorators?: boolean | undefined;
            jsx?: boolean | undefined;
            numericSeparator?: boolean | undefined;
            classPrivateProperty?: boolean | undefined;
            privateMethod?: boolean | undefined;
            classProperty?: boolean | undefined;
            functionBind?: boolean | undefined;
            decoratorsBeforeExport?: boolean | undefined;
            exportDefaultFrom?: boolean | undefined;
            exportNamespaceFrom?: boolean | undefined;
            nullishCoalescing?: boolean | undefined;
            optionalChaining?: boolean | undefined;
            importMeta?: boolean | undefined;
            topLevelAwait?: boolean | undefined;
            importAssertions?: boolean | undefined;
            importAttributes?: boolean | undefined;
            allowSuperOutsideMethod?: boolean | undefined;
            allowReturnOutsideFunction?: boolean | undefined;
            autoAccessors?: boolean | undefined;
            explicitResourceManagement?: boolean | undefined;
        }, {
            syntax: "typescript" | "ecmascript";
            dynamicImport?: boolean | undefined;
            tsx?: boolean | undefined;
            decorators?: boolean | undefined;
            jsx?: boolean | undefined;
            numericSeparator?: boolean | undefined;
            classPrivateProperty?: boolean | undefined;
            privateMethod?: boolean | undefined;
            classProperty?: boolean | undefined;
            functionBind?: boolean | undefined;
            decoratorsBeforeExport?: boolean | undefined;
            exportDefaultFrom?: boolean | undefined;
            exportNamespaceFrom?: boolean | undefined;
            nullishCoalescing?: boolean | undefined;
            optionalChaining?: boolean | undefined;
            importMeta?: boolean | undefined;
            topLevelAwait?: boolean | undefined;
            importAssertions?: boolean | undefined;
            importAttributes?: boolean | undefined;
            allowSuperOutsideMethod?: boolean | undefined;
            allowReturnOutsideFunction?: boolean | undefined;
            autoAccessors?: boolean | undefined;
            explicitResourceManagement?: boolean | undefined;
        }>>;
        transform: z.ZodOptional<z.ZodObject<{
            react: z.ZodOptional<z.ZodObject<{
                pragma: z.ZodOptional<z.ZodString>;
                pragmaFrag: z.ZodOptional<z.ZodString>;
                throwIfNamespace: z.ZodOptional<z.ZodBoolean>;
                development: z.ZodOptional<z.ZodBoolean>;
                useBuiltins: z.ZodOptional<z.ZodBoolean>;
                refresh: z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodObject<{
                    refreshReg: z.ZodOptional<z.ZodString>;
                    refreshSig: z.ZodOptional<z.ZodString>;
                    emitFullSignatures: z.ZodOptional<z.ZodBoolean>;
                }, "strict", z.ZodTypeAny, {
                    refreshReg?: string | undefined;
                    refreshSig?: string | undefined;
                    emitFullSignatures?: boolean | undefined;
                }, {
                    refreshReg?: string | undefined;
                    refreshSig?: string | undefined;
                    emitFullSignatures?: boolean | undefined;
                }>]>>;
                runtime: z.ZodOptional<z.ZodEnum<["automatic", "classic"]>>;
                importSource: z.ZodOptional<z.ZodString>;
            }, "strict", z.ZodTypeAny, {
                runtime?: "automatic" | "classic" | undefined;
                pragma?: string | undefined;
                pragmaFrag?: string | undefined;
                throwIfNamespace?: boolean | undefined;
                development?: boolean | undefined;
                useBuiltins?: boolean | undefined;
                refresh?: boolean | {
                    refreshReg?: string | undefined;
                    refreshSig?: string | undefined;
                    emitFullSignatures?: boolean | undefined;
                } | undefined;
                importSource?: string | undefined;
            }, {
                runtime?: "automatic" | "classic" | undefined;
                pragma?: string | undefined;
                pragmaFrag?: string | undefined;
                throwIfNamespace?: boolean | undefined;
                development?: boolean | undefined;
                useBuiltins?: boolean | undefined;
                refresh?: boolean | {
                    refreshReg?: string | undefined;
                    refreshSig?: string | undefined;
                    emitFullSignatures?: boolean | undefined;
                } | undefined;
                importSource?: string | undefined;
            }>>;
            constModules: z.ZodOptional<z.ZodObject<{
                globals: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodRecord<z.ZodString, z.ZodString>>>;
            }, "strict", z.ZodTypeAny, {
                globals?: Record<string, Record<string, string>> | undefined;
            }, {
                globals?: Record<string, Record<string, string>> | undefined;
            }>>;
            optimizer: z.ZodOptional<z.ZodObject<{
                simplify: z.ZodOptional<z.ZodBoolean>;
                globals: z.ZodOptional<z.ZodObject<{
                    vars: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
                    envs: z.ZodOptional<z.ZodUnion<[z.ZodArray<z.ZodString, "many">, z.ZodRecord<z.ZodString, z.ZodString>]>>;
                    typeofs: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
                }, "strict", z.ZodTypeAny, {
                    typeofs?: Record<string, string> | undefined;
                    vars?: Record<string, string> | undefined;
                    envs?: string[] | Record<string, string> | undefined;
                }, {
                    typeofs?: Record<string, string> | undefined;
                    vars?: Record<string, string> | undefined;
                    envs?: string[] | Record<string, string> | undefined;
                }>>;
                jsonify: z.ZodOptional<z.ZodObject<{
                    minCost: z.ZodNumber;
                }, "strict", z.ZodTypeAny, {
                    minCost: number;
                }, {
                    minCost: number;
                }>>;
            }, "strict", z.ZodTypeAny, {
                globals?: {
                    typeofs?: Record<string, string> | undefined;
                    vars?: Record<string, string> | undefined;
                    envs?: string[] | Record<string, string> | undefined;
                } | undefined;
                simplify?: boolean | undefined;
                jsonify?: {
                    minCost: number;
                } | undefined;
            }, {
                globals?: {
                    typeofs?: Record<string, string> | undefined;
                    vars?: Record<string, string> | undefined;
                    envs?: string[] | Record<string, string> | undefined;
                } | undefined;
                simplify?: boolean | undefined;
                jsonify?: {
                    minCost: number;
                } | undefined;
            }>>;
            legacyDecorator: z.ZodOptional<z.ZodBoolean>;
            decoratorMetadata: z.ZodOptional<z.ZodBoolean>;
            decoratorVersion: z.ZodOptional<z.ZodEnum<["2021-12", "2022-03"]>>;
            treatConstEnumAsEnum: z.ZodOptional<z.ZodBoolean>;
            useDefineForClassFields: z.ZodOptional<z.ZodBoolean>;
            verbatimModuleSyntax: z.ZodOptional<z.ZodBoolean>;
        }, "strict", z.ZodTypeAny, {
            react?: {
                runtime?: "automatic" | "classic" | undefined;
                pragma?: string | undefined;
                pragmaFrag?: string | undefined;
                throwIfNamespace?: boolean | undefined;
                development?: boolean | undefined;
                useBuiltins?: boolean | undefined;
                refresh?: boolean | {
                    refreshReg?: string | undefined;
                    refreshSig?: string | undefined;
                    emitFullSignatures?: boolean | undefined;
                } | undefined;
                importSource?: string | undefined;
            } | undefined;
            constModules?: {
                globals?: Record<string, Record<string, string>> | undefined;
            } | undefined;
            optimizer?: {
                globals?: {
                    typeofs?: Record<string, string> | undefined;
                    vars?: Record<string, string> | undefined;
                    envs?: string[] | Record<string, string> | undefined;
                } | undefined;
                simplify?: boolean | undefined;
                jsonify?: {
                    minCost: number;
                } | undefined;
            } | undefined;
            legacyDecorator?: boolean | undefined;
            decoratorMetadata?: boolean | undefined;
            decoratorVersion?: "2021-12" | "2022-03" | undefined;
            treatConstEnumAsEnum?: boolean | undefined;
            useDefineForClassFields?: boolean | undefined;
            verbatimModuleSyntax?: boolean | undefined;
        }, {
            react?: {
                runtime?: "automatic" | "classic" | undefined;
                pragma?: string | undefined;
                pragmaFrag?: string | undefined;
                throwIfNamespace?: boolean | undefined;
                development?: boolean | undefined;
                useBuiltins?: boolean | undefined;
                refresh?: boolean | {
                    refreshReg?: string | undefined;
                    refreshSig?: string | undefined;
                    emitFullSignatures?: boolean | undefined;
                } | undefined;
                importSource?: string | undefined;
            } | undefined;
            constModules?: {
                globals?: Record<string, Record<string, string>> | undefined;
            } | undefined;
            optimizer?: {
                globals?: {
                    typeofs?: Record<string, string> | undefined;
                    vars?: Record<string, string> | undefined;
                    envs?: string[] | Record<string, string> | undefined;
                } | undefined;
                simplify?: boolean | undefined;
                jsonify?: {
                    minCost: number;
                } | undefined;
            } | undefined;
            legacyDecorator?: boolean | undefined;
            decoratorMetadata?: boolean | undefined;
            decoratorVersion?: "2021-12" | "2022-03" | undefined;
            treatConstEnumAsEnum?: boolean | undefined;
            useDefineForClassFields?: boolean | undefined;
            verbatimModuleSyntax?: boolean | undefined;
        }>>;
        externalHelpers: z.ZodOptional<z.ZodBoolean>;
        target: z.ZodOptional<z.ZodEnum<["es3", "es5", "es2015", "es2016", "es2017", "es2018", "es2019", "es2020", "es2021", "es2022", "es2023", "es2024", "esnext"]>>;
        keepClassNames: z.ZodOptional<z.ZodBoolean>;
        experimental: z.ZodOptional<z.ZodObject<{
            optimizeHygiene: z.ZodOptional<z.ZodBoolean>;
            keepImportAttributes: z.ZodOptional<z.ZodBoolean>;
            emitAssertForImportAttributes: z.ZodOptional<z.ZodBoolean>;
            cacheRoot: z.ZodOptional<z.ZodString>;
            plugins: z.ZodOptional<z.ZodArray<z.ZodTuple<[z.ZodString, z.ZodRecord<z.ZodString, z.ZodAny>], null>, "many">>;
            runPluginFirst: z.ZodOptional<z.ZodBoolean>;
            disableBuiltinTransformsForInternalTesting: z.ZodOptional<z.ZodBoolean>;
            emitIsolatedDts: z.ZodOptional<z.ZodBoolean>;
            disableAllLints: z.ZodOptional<z.ZodBoolean>;
            keepImportAssertions: z.ZodOptional<z.ZodBoolean>;
        }, "strict", z.ZodTypeAny, {
            optimizeHygiene?: boolean | undefined;
            keepImportAttributes?: boolean | undefined;
            emitAssertForImportAttributes?: boolean | undefined;
            cacheRoot?: string | undefined;
            plugins?: [string, Record<string, any>][] | undefined;
            runPluginFirst?: boolean | undefined;
            disableBuiltinTransformsForInternalTesting?: boolean | undefined;
            emitIsolatedDts?: boolean | undefined;
            disableAllLints?: boolean | undefined;
            keepImportAssertions?: boolean | undefined;
        }, {
            optimizeHygiene?: boolean | undefined;
            keepImportAttributes?: boolean | undefined;
            emitAssertForImportAttributes?: boolean | undefined;
            cacheRoot?: string | undefined;
            plugins?: [string, Record<string, any>][] | undefined;
            runPluginFirst?: boolean | undefined;
            disableBuiltinTransformsForInternalTesting?: boolean | undefined;
            emitIsolatedDts?: boolean | undefined;
            disableAllLints?: boolean | undefined;
            keepImportAssertions?: boolean | undefined;
        }>>;
        baseUrl: z.ZodOptional<z.ZodString>;
        paths: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodArray<z.ZodString, "many">>>;
        minify: z.ZodOptional<z.ZodObject<{
            compress: z.ZodOptional<z.ZodUnion<[z.ZodObject<{
                arguments: z.ZodOptional<z.ZodBoolean>;
                arrows: z.ZodOptional<z.ZodBoolean>;
                booleans: z.ZodOptional<z.ZodBoolean>;
                booleans_as_integers: z.ZodOptional<z.ZodBoolean>;
                collapse_vars: z.ZodOptional<z.ZodBoolean>;
                comparisons: z.ZodOptional<z.ZodBoolean>;
                computed_props: z.ZodOptional<z.ZodBoolean>;
                conditionals: z.ZodOptional<z.ZodBoolean>;
                dead_code: z.ZodOptional<z.ZodBoolean>;
                defaults: z.ZodOptional<z.ZodBoolean>;
                directives: z.ZodOptional<z.ZodBoolean>;
                drop_console: z.ZodOptional<z.ZodBoolean>;
                drop_debugger: z.ZodOptional<z.ZodBoolean>;
                ecma: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<2015>, z.ZodLiteral<2016>, z.ZodString, z.ZodNumber]>>;
                evaluate: z.ZodOptional<z.ZodBoolean>;
                expression: z.ZodOptional<z.ZodBoolean>;
                global_defs: z.ZodOptional<z.ZodAny>;
                hoist_funs: z.ZodOptional<z.ZodBoolean>;
                hoist_props: z.ZodOptional<z.ZodBoolean>;
                hoist_vars: z.ZodOptional<z.ZodBoolean>;
                ie8: z.ZodOptional<z.ZodBoolean>;
                if_return: z.ZodOptional<z.ZodBoolean>;
                inline: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodUnion<[z.ZodLiteral<0>, z.ZodLiteral<1>]>, z.ZodLiteral<2>]>, z.ZodLiteral<3>]>>;
                join_vars: z.ZodOptional<z.ZodBoolean>;
                keep_classnames: z.ZodOptional<z.ZodBoolean>;
                keep_fargs: z.ZodOptional<z.ZodBoolean>;
                keep_fnames: z.ZodOptional<z.ZodBoolean>;
                keep_infinity: z.ZodOptional<z.ZodBoolean>;
                loops: z.ZodOptional<z.ZodBoolean>;
                negate_iife: z.ZodOptional<z.ZodBoolean>;
                passes: z.ZodOptional<z.ZodNumber>;
                properties: z.ZodOptional<z.ZodBoolean>;
                pure_getters: z.ZodOptional<z.ZodAny>;
                pure_funcs: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
                reduce_funcs: z.ZodOptional<z.ZodBoolean>;
                reduce_vars: z.ZodOptional<z.ZodBoolean>;
                sequences: z.ZodOptional<z.ZodAny>;
                side_effects: z.ZodOptional<z.ZodBoolean>;
                switches: z.ZodOptional<z.ZodBoolean>;
                top_retain: z.ZodOptional<z.ZodAny>;
                toplevel: z.ZodOptional<z.ZodAny>;
                typeofs: z.ZodOptional<z.ZodBoolean>;
                unsafe: z.ZodOptional<z.ZodBoolean>;
                unsafe_passes: z.ZodOptional<z.ZodBoolean>;
                unsafe_arrows: z.ZodOptional<z.ZodBoolean>;
                unsafe_comps: z.ZodOptional<z.ZodBoolean>;
                unsafe_function: z.ZodOptional<z.ZodBoolean>;
                unsafe_math: z.ZodOptional<z.ZodBoolean>;
                unsafe_symbols: z.ZodOptional<z.ZodBoolean>;
                unsafe_methods: z.ZodOptional<z.ZodBoolean>;
                unsafe_proto: z.ZodOptional<z.ZodBoolean>;
                unsafe_regexp: z.ZodOptional<z.ZodBoolean>;
                unsafe_undefined: z.ZodOptional<z.ZodBoolean>;
                unused: z.ZodOptional<z.ZodBoolean>;
                const_to_let: z.ZodOptional<z.ZodBoolean>;
                module: z.ZodOptional<z.ZodBoolean>;
            }, "strict", z.ZodTypeAny, {
                module?: boolean | undefined;
                ecma?: string | number | undefined;
                arguments?: boolean | undefined;
                arrows?: boolean | undefined;
                booleans?: boolean | undefined;
                booleans_as_integers?: boolean | undefined;
                collapse_vars?: boolean | undefined;
                comparisons?: boolean | undefined;
                computed_props?: boolean | undefined;
                conditionals?: boolean | undefined;
                dead_code?: boolean | undefined;
                defaults?: boolean | undefined;
                directives?: boolean | undefined;
                drop_console?: boolean | undefined;
                drop_debugger?: boolean | undefined;
                evaluate?: boolean | undefined;
                expression?: boolean | undefined;
                global_defs?: any;
                hoist_funs?: boolean | undefined;
                hoist_props?: boolean | undefined;
                hoist_vars?: boolean | undefined;
                ie8?: boolean | undefined;
                if_return?: boolean | undefined;
                inline?: 0 | 1 | 2 | 3 | undefined;
                join_vars?: boolean | undefined;
                keep_classnames?: boolean | undefined;
                keep_fargs?: boolean | undefined;
                keep_fnames?: boolean | undefined;
                keep_infinity?: boolean | undefined;
                loops?: boolean | undefined;
                negate_iife?: boolean | undefined;
                passes?: number | undefined;
                properties?: boolean | undefined;
                pure_getters?: any;
                pure_funcs?: string[] | undefined;
                reduce_funcs?: boolean | undefined;
                reduce_vars?: boolean | undefined;
                sequences?: any;
                side_effects?: boolean | undefined;
                switches?: boolean | undefined;
                top_retain?: any;
                toplevel?: any;
                typeofs?: boolean | undefined;
                unsafe?: boolean | undefined;
                unsafe_passes?: boolean | undefined;
                unsafe_arrows?: boolean | undefined;
                unsafe_comps?: boolean | undefined;
                unsafe_function?: boolean | undefined;
                unsafe_math?: boolean | undefined;
                unsafe_symbols?: boolean | undefined;
                unsafe_methods?: boolean | undefined;
                unsafe_proto?: boolean | undefined;
                unsafe_regexp?: boolean | undefined;
                unsafe_undefined?: boolean | undefined;
                unused?: boolean | undefined;
                const_to_let?: boolean | undefined;
            }, {
                module?: boolean | undefined;
                ecma?: string | number | undefined;
                arguments?: boolean | undefined;
                arrows?: boolean | undefined;
                booleans?: boolean | undefined;
                booleans_as_integers?: boolean | undefined;
                collapse_vars?: boolean | undefined;
                comparisons?: boolean | undefined;
                computed_props?: boolean | undefined;
                conditionals?: boolean | undefined;
                dead_code?: boolean | undefined;
                defaults?: boolean | undefined;
                directives?: boolean | undefined;
                drop_console?: boolean | undefined;
                drop_debugger?: boolean | undefined;
                evaluate?: boolean | undefined;
                expression?: boolean | undefined;
                global_defs?: any;
                hoist_funs?: boolean | undefined;
                hoist_props?: boolean | undefined;
                hoist_vars?: boolean | undefined;
                ie8?: boolean | undefined;
                if_return?: boolean | undefined;
                inline?: 0 | 1 | 2 | 3 | undefined;
                join_vars?: boolean | undefined;
                keep_classnames?: boolean | undefined;
                keep_fargs?: boolean | undefined;
                keep_fnames?: boolean | undefined;
                keep_infinity?: boolean | undefined;
                loops?: boolean | undefined;
                negate_iife?: boolean | undefined;
                passes?: number | undefined;
                properties?: boolean | undefined;
                pure_getters?: any;
                pure_funcs?: string[] | undefined;
                reduce_funcs?: boolean | undefined;
                reduce_vars?: boolean | undefined;
                sequences?: any;
                side_effects?: boolean | undefined;
                switches?: boolean | undefined;
                top_retain?: any;
                toplevel?: any;
                typeofs?: boolean | undefined;
                unsafe?: boolean | undefined;
                unsafe_passes?: boolean | undefined;
                unsafe_arrows?: boolean | undefined;
                unsafe_comps?: boolean | undefined;
                unsafe_function?: boolean | undefined;
                unsafe_math?: boolean | undefined;
                unsafe_symbols?: boolean | undefined;
                unsafe_methods?: boolean | undefined;
                unsafe_proto?: boolean | undefined;
                unsafe_regexp?: boolean | undefined;
                unsafe_undefined?: boolean | undefined;
                unused?: boolean | undefined;
                const_to_let?: boolean | undefined;
            }>, z.ZodBoolean]>>;
            format: z.ZodOptional<z.ZodObject<{
                asciiOnly: z.ZodOptional<z.ZodBoolean>;
                beautify: z.ZodOptional<z.ZodBoolean>;
                braces: z.ZodOptional<z.ZodBoolean>;
                comments: z.ZodOptional<z.ZodUnion<[z.ZodUnion<[z.ZodLiteral<"some">, z.ZodLiteral<"all">]>, z.ZodLiteral<false>]>>;
                ecma: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<2015>, z.ZodLiteral<2016>, z.ZodString, z.ZodNumber]>>;
                indentLevel: z.ZodOptional<z.ZodNumber>;
                indentStart: z.ZodOptional<z.ZodNumber>;
                inlineScript: z.ZodOptional<z.ZodBoolean>;
                keepNumbers: z.ZodOptional<z.ZodNumber>;
                keepQuotedProps: z.ZodOptional<z.ZodBoolean>;
                maxLineLen: z.ZodOptional<z.ZodNumber>;
                preamble: z.ZodOptional<z.ZodString>;
                quoteKeys: z.ZodOptional<z.ZodBoolean>;
                quoteStyle: z.ZodOptional<z.ZodBoolean>;
                preserveAnnotations: z.ZodOptional<z.ZodBoolean>;
                safari10: z.ZodOptional<z.ZodBoolean>;
                semicolons: z.ZodOptional<z.ZodBoolean>;
                shebang: z.ZodOptional<z.ZodBoolean>;
                webkit: z.ZodOptional<z.ZodBoolean>;
                wrapIife: z.ZodOptional<z.ZodBoolean>;
                wrapFuncArgs: z.ZodOptional<z.ZodBoolean>;
            }, "strict", z.ZodTypeAny, {
                asciiOnly?: boolean | undefined;
                beautify?: boolean | undefined;
                braces?: boolean | undefined;
                comments?: false | "some" | "all" | undefined;
                ecma?: string | number | undefined;
                indentLevel?: number | undefined;
                indentStart?: number | undefined;
                inlineScript?: boolean | undefined;
                keepNumbers?: number | undefined;
                keepQuotedProps?: boolean | undefined;
                maxLineLen?: number | undefined;
                preamble?: string | undefined;
                quoteKeys?: boolean | undefined;
                quoteStyle?: boolean | undefined;
                preserveAnnotations?: boolean | undefined;
                safari10?: boolean | undefined;
                semicolons?: boolean | undefined;
                shebang?: boolean | undefined;
                webkit?: boolean | undefined;
                wrapIife?: boolean | undefined;
                wrapFuncArgs?: boolean | undefined;
            }, {
                asciiOnly?: boolean | undefined;
                beautify?: boolean | undefined;
                braces?: boolean | undefined;
                comments?: false | "some" | "all" | undefined;
                ecma?: string | number | undefined;
                indentLevel?: number | undefined;
                indentStart?: number | undefined;
                inlineScript?: boolean | undefined;
                keepNumbers?: number | undefined;
                keepQuotedProps?: boolean | undefined;
                maxLineLen?: number | undefined;
                preamble?: string | undefined;
                quoteKeys?: boolean | undefined;
                quoteStyle?: boolean | undefined;
                preserveAnnotations?: boolean | undefined;
                safari10?: boolean | undefined;
                semicolons?: boolean | undefined;
                shebang?: boolean | undefined;
                webkit?: boolean | undefined;
                wrapIife?: boolean | undefined;
                wrapFuncArgs?: boolean | undefined;
            }>>;
            mangle: z.ZodOptional<z.ZodUnion<[z.ZodObject<{
                props: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>;
                topLevel: z.ZodOptional<z.ZodBoolean>;
                toplevel: z.ZodOptional<z.ZodBoolean>;
                keepClassNames: z.ZodOptional<z.ZodBoolean>;
                keep_classnames: z.ZodOptional<z.ZodBoolean>;
                keepFnNames: z.ZodOptional<z.ZodBoolean>;
                keep_fnames: z.ZodOptional<z.ZodBoolean>;
                keepPrivateProps: z.ZodOptional<z.ZodBoolean>;
                keep_private_props: z.ZodOptional<z.ZodBoolean>;
                ie8: z.ZodOptional<z.ZodBoolean>;
                safari10: z.ZodOptional<z.ZodBoolean>;
                reserved: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            }, "strict", z.ZodTypeAny, {
                safari10?: boolean | undefined;
                ie8?: boolean | undefined;
                keep_classnames?: boolean | undefined;
                keep_fnames?: boolean | undefined;
                toplevel?: boolean | undefined;
                props?: Record<string, any> | undefined;
                topLevel?: boolean | undefined;
                keepClassNames?: boolean | undefined;
                keepFnNames?: boolean | undefined;
                keepPrivateProps?: boolean | undefined;
                keep_private_props?: boolean | undefined;
                reserved?: string[] | undefined;
            }, {
                safari10?: boolean | undefined;
                ie8?: boolean | undefined;
                keep_classnames?: boolean | undefined;
                keep_fnames?: boolean | undefined;
                toplevel?: boolean | undefined;
                props?: Record<string, any> | undefined;
                topLevel?: boolean | undefined;
                keepClassNames?: boolean | undefined;
                keepFnNames?: boolean | undefined;
                keepPrivateProps?: boolean | undefined;
                keep_private_props?: boolean | undefined;
                reserved?: string[] | undefined;
            }>, z.ZodBoolean]>>;
            ecma: z.ZodOptional<z.ZodUnion<[z.ZodLiteral<5>, z.ZodLiteral<2015>, z.ZodLiteral<2016>, z.ZodString, z.ZodNumber]>>;
            keep_classnames: z.ZodOptional<z.ZodBoolean>;
            keep_fnames: z.ZodOptional<z.ZodBoolean>;
            module: z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodLiteral<"unknown">]>>;
            safari10: z.ZodOptional<z.ZodBoolean>;
            toplevel: z.ZodOptional<z.ZodBoolean>;
            sourceMap: z.ZodOptional<z.ZodBoolean>;
            outputPath: z.ZodOptional<z.ZodString>;
            inlineSourcesContent: z.ZodOptional<z.ZodBoolean>;
        }, "strict", z.ZodTypeAny, {
            module?: boolean | "unknown" | undefined;
            outputPath?: string | undefined;
            sourceMap?: boolean | undefined;
            ecma?: string | number | undefined;
            safari10?: boolean | undefined;
            keep_classnames?: boolean | undefined;
            keep_fnames?: boolean | undefined;
            toplevel?: boolean | undefined;
            compress?: boolean | {
                module?: boolean | undefined;
                ecma?: string | number | undefined;
                arguments?: boolean | undefined;
                arrows?: boolean | undefined;
                booleans?: boolean | undefined;
                booleans_as_integers?: boolean | undefined;
                collapse_vars?: boolean | undefined;
                comparisons?: boolean | undefined;
                computed_props?: boolean | undefined;
                conditionals?: boolean | undefined;
                dead_code?: boolean | undefined;
                defaults?: boolean | undefined;
                directives?: boolean | undefined;
                drop_console?: boolean | undefined;
                drop_debugger?: boolean | undefined;
                evaluate?: boolean | undefined;
                expression?: boolean | undefined;
                global_defs?: any;
                hoist_funs?: boolean | undefined;
                hoist_props?: boolean | undefined;
                hoist_vars?: boolean | undefined;
                ie8?: boolean | undefined;
                if_return?: boolean | undefined;
                inline?: 0 | 1 | 2 | 3 | undefined;
                join_vars?: boolean | undefined;
                keep_classnames?: boolean | undefined;
                keep_fargs?: boolean | undefined;
                keep_fnames?: boolean | undefined;
                keep_infinity?: boolean | undefined;
                loops?: boolean | undefined;
                negate_iife?: boolean | undefined;
                passes?: number | undefined;
                properties?: boolean | undefined;
                pure_getters?: any;
                pure_funcs?: string[] | undefined;
                reduce_funcs?: boolean | undefined;
                reduce_vars?: boolean | undefined;
                sequences?: any;
                side_effects?: boolean | undefined;
                switches?: boolean | undefined;
                top_retain?: any;
                toplevel?: any;
                typeofs?: boolean | undefined;
                unsafe?: boolean | undefined;
                unsafe_passes?: boolean | undefined;
                unsafe_arrows?: boolean | undefined;
                unsafe_comps?: boolean | undefined;
                unsafe_function?: boolean | undefined;
                unsafe_math?: boolean | undefined;
                unsafe_symbols?: boolean | undefined;
                unsafe_methods?: boolean | undefined;
                unsafe_proto?: boolean | undefined;
                unsafe_regexp?: boolean | undefined;
                unsafe_undefined?: boolean | undefined;
                unused?: boolean | undefined;
                const_to_let?: boolean | undefined;
            } | undefined;
            format?: {
                asciiOnly?: boolean | undefined;
                beautify?: boolean | undefined;
                braces?: boolean | undefined;
                comments?: false | "some" | "all" | undefined;
                ecma?: string | number | undefined;
                indentLevel?: number | undefined;
                indentStart?: number | undefined;
                inlineScript?: boolean | undefined;
                keepNumbers?: number | undefined;
                keepQuotedProps?: boolean | undefined;
                maxLineLen?: number | undefined;
                preamble?: string | undefined;
                quoteKeys?: boolean | undefined;
                quoteStyle?: boolean | undefined;
                preserveAnnotations?: boolean | undefined;
                safari10?: boolean | undefined;
                semicolons?: boolean | undefined;
                shebang?: boolean | undefined;
                webkit?: boolean | undefined;
                wrapIife?: boolean | undefined;
                wrapFuncArgs?: boolean | undefined;
            } | undefined;
            mangle?: boolean | {
                safari10?: boolean | undefined;
                ie8?: boolean | undefined;
                keep_classnames?: boolean | undefined;
                keep_fnames?: boolean | undefined;
                toplevel?: boolean | undefined;
                props?: Record<string, any> | undefined;
                topLevel?: boolean | undefined;
                keepClassNames?: boolean | undefined;
                keepFnNames?: boolean | undefined;
                keepPrivateProps?: boolean | undefined;
                keep_private_props?: boolean | undefined;
                reserved?: string[] | undefined;
            } | undefined;
            inlineSourcesContent?: boolean | undefined;
        }, {
            module?: boolean | "unknown" | undefined;
            outputPath?: string | undefined;
            sourceMap?: boolean | undefined;
            ecma?: string | number | undefined;
            safari10?: boolean | undefined;
            keep_classnames?: boolean | undefined;
            keep_fnames?: boolean | undefined;
            toplevel?: boolean | undefined;
            compress?: boolean | {
                module?: boolean | undefined;
                ecma?: string | number | undefined;
                arguments?: boolean | undefined;
                arrows?: boolean | undefined;
                booleans?: boolean | undefined;
                booleans_as_integers?: boolean | undefined;
                collapse_vars?: boolean | undefined;
                comparisons?: boolean | undefined;
                computed_props?: boolean | undefined;
                conditionals?: boolean | undefined;
                dead_code?: boolean | undefined;
                defaults?: boolean | undefined;
                directives?: boolean | undefined;
                drop_console?: boolean | undefined;
                drop_debugger?: boolean | undefined;
                evaluate?: boolean | undefined;
                expression?: boolean | undefined;
                global_defs?: any;
                hoist_funs?: boolean | undefined;
                hoist_props?: boolean | undefined;
                hoist_vars?: boolean | undefined;
                ie8?: boolean | undefined;
                if_return?: boolean | undefined;
                inline?: 0 | 1 | 2 | 3 | undefined;
                join_vars?: boolean | undefined;
                keep_classnames?: boolean | undefined;
                keep_fargs?: boolean | undefined;
                keep_fnames?: boolean | undefined;
                keep_infinity?: boolean | undefined;
                loops?: boolean | undefined;
                negate_iife?: boolean | undefined;
                passes?: number | undefined;
                properties?: boolean | undefined;
                pure_getters?: any;
                pure_funcs?: string[] | undefined;
                reduce_funcs?: boolean | undefined;
                reduce_vars?: boolean | undefined;
                sequences?: any;
                side_effects?: boolean | undefined;
                switches?: boolean | undefined;
                top_retain?: any;
                toplevel?: any;
                typeofs?: boolean | undefined;
                unsafe?: boolean | undefined;
                unsafe_passes?: boolean | undefined;
                unsafe_arrows?: boolean | undefined;
                unsafe_comps?: boolean | undefined;
                unsafe_function?: boolean | undefined;
                unsafe_math?: boolean | undefined;
                unsafe_symbols?: boolean | undefined;
                unsafe_methods?: boolean | undefined;
                unsafe_proto?: boolean | undefined;
                unsafe_regexp?: boolean | undefined;
                unsafe_undefined?: boolean | undefined;
                unused?: boolean | undefined;
                const_to_let?: boolean | undefined;
            } | undefined;
            format?: {
                asciiOnly?: boolean | undefined;
                beautify?: boolean | undefined;
                braces?: boolean | undefined;
                comments?: false | "some" | "all" | undefined;
                ecma?: string | number | undefined;
                indentLevel?: number | undefined;
                indentStart?: number | undefined;
                inlineScript?: boolean | undefined;
                keepNumbers?: number | undefined;
                keepQuotedProps?: boolean | undefined;
                maxLineLen?: number | undefined;
                preamble?: string | undefined;
                quoteKeys?: boolean | undefined;
                quoteStyle?: boolean | undefined;
                preserveAnnotations?: boolean | undefined;
                safari10?: boolean | undefined;
                semicolons?: boolean | undefined;
                shebang?: boolean | undefined;
                webkit?: boolean | undefined;
                wrapIife?: boolean | undefined;
                wrapFuncArgs?: boolean | undefined;
            } | undefined;
            mangle?: boolean | {
                safari10?: boolean | undefined;
                ie8?: boolean | undefined;
                keep_classnames?: boolean | undefined;
                keep_fnames?: boolean | undefined;
                toplevel?: boolean | undefined;
                props?: Record<string, any> | undefined;
                topLevel?: boolean | undefined;
                keepClassNames?: boolean | undefined;
                keepFnNames?: boolean | undefined;
                keepPrivateProps?: boolean | undefined;
                keep_private_props?: boolean | undefined;
                reserved?: string[] | undefined;
            } | undefined;
            inlineSourcesContent?: boolean | undefined;
        }>>;
        preserveAllComments: z.ZodOptional<z.ZodBoolean>;
    }, "strict", z.ZodTypeAny, {
        transform?: {
            react?: {
                runtime?: "automatic" | "classic" | undefined;
                pragma?: string | undefined;
                pragmaFrag?: string | undefined;
                throwIfNamespace?: boolean | undefined;
                development?: boolean | undefined;
                useBuiltins?: boolean | undefined;
                refresh?: boolean | {
                    refreshReg?: string | undefined;
                    refreshSig?: string | undefined;
                    emitFullSignatures?: boolean | undefined;
                } | undefined;
                importSource?: string | undefined;
            } | undefined;
            constModules?: {
                globals?: Record<string, Record<string, string>> | undefined;
            } | undefined;
            optimizer?: {
                globals?: {
                    typeofs?: Record<string, string> | undefined;
                    vars?: Record<string, string> | undefined;
                    envs?: string[] | Record<string, string> | undefined;
                } | undefined;
                simplify?: boolean | undefined;
                jsonify?: {
                    minCost: number;
                } | undefined;
            } | undefined;
            legacyDecorator?: boolean | undefined;
            decoratorMetadata?: boolean | undefined;
            decoratorVersion?: "2021-12" | "2022-03" | undefined;
            treatConstEnumAsEnum?: boolean | undefined;
            useDefineForClassFields?: boolean | undefined;
            verbatimModuleSyntax?: boolean | undefined;
        } | undefined;
        loose?: boolean | undefined;
        minify?: {
            module?: boolean | "unknown" | undefined;
            outputPath?: string | undefined;
            sourceMap?: boolean | undefined;
            ecma?: string | number | undefined;
            safari10?: boolean | undefined;
            keep_classnames?: boolean | undefined;
            keep_fnames?: boolean | undefined;
            toplevel?: boolean | undefined;
            compress?: boolean | {
                module?: boolean | undefined;
                ecma?: string | number | undefined;
                arguments?: boolean | undefined;
                arrows?: boolean | undefined;
                booleans?: boolean | undefined;
                booleans_as_integers?: boolean | undefined;
                collapse_vars?: boolean | undefined;
                comparisons?: boolean | undefined;
                computed_props?: boolean | undefined;
                conditionals?: boolean | undefined;
                dead_code?: boolean | undefined;
                defaults?: boolean | undefined;
                directives?: boolean | undefined;
                drop_console?: boolean | undefined;
                drop_debugger?: boolean | undefined;
                evaluate?: boolean | undefined;
                expression?: boolean | undefined;
                global_defs?: any;
                hoist_funs?: boolean | undefined;
                hoist_props?: boolean | undefined;
                hoist_vars?: boolean | undefined;
                ie8?: boolean | undefined;
                if_return?: boolean | undefined;
                inline?: 0 | 1 | 2 | 3 | undefined;
                join_vars?: boolean | undefined;
                keep_classnames?: boolean | undefined;
                keep_fargs?: boolean | undefined;
                keep_fnames?: boolean | undefined;
                keep_infinity?: boolean | undefined;
                loops?: boolean | undefined;
                negate_iife?: boolean | undefined;
                passes?: number | undefined;
                properties?: boolean | undefined;
                pure_getters?: any;
                pure_funcs?: string[] | undefined;
                reduce_funcs?: boolean | undefined;
                reduce_vars?: boolean | undefined;
                sequences?: any;
                side_effects?: boolean | undefined;
                switches?: boolean | undefined;
                top_retain?: any;
                toplevel?: any;
                typeofs?: boolean | undefined;
                unsafe?: boolean | undefined;
                unsafe_passes?: boolean | undefined;
                unsafe_arrows?: boolean | undefined;
                unsafe_comps?: boolean | undefined;
                unsafe_function?: boolean | undefined;
                unsafe_math?: boolean | undefined;
                unsafe_symbols?: boolean | undefined;
                unsafe_methods?: boolean | undefined;
                unsafe_proto?: boolean | undefined;
                unsafe_regexp?: boolean | undefined;
                unsafe_undefined?: boolean | undefined;
                unused?: boolean | undefined;
                const_to_let?: boolean | undefined;
            } | undefined;
            format?: {
                asciiOnly?: boolean | undefined;
                beautify?: boolean | undefined;
                braces?: boolean | undefined;
                comments?: false | "some" | "all" | undefined;
                ecma?: string | number | undefined;
                indentLevel?: number | undefined;
                indentStart?: number | undefined;
                inlineScript?: boolean | undefined;
                keepNumbers?: number | undefined;
                keepQuotedProps?: boolean | undefined;
                maxLineLen?: number | undefined;
                preamble?: string | undefined;
                quoteKeys?: boolean | undefined;
                quoteStyle?: boolean | undefined;
                preserveAnnotations?: boolean | undefined;
                safari10?: boolean | undefined;
                semicolons?: boolean | undefined;
                shebang?: boolean | undefined;
                webkit?: boolean | undefined;
                wrapIife?: boolean | undefined;
                wrapFuncArgs?: boolean | undefined;
            } | undefined;
            mangle?: boolean | {
                safari10?: boolean | undefined;
                ie8?: boolean | undefined;
                keep_classnames?: boolean | undefined;
                keep_fnames?: boolean | undefined;
                toplevel?: boolean | undefined;
                props?: Record<string, any> | undefined;
                topLevel?: boolean | undefined;
                keepClassNames?: boolean | undefined;
                keepFnNames?: boolean | undefined;
                keepPrivateProps?: boolean | undefined;
                keep_private_props?: boolean | undefined;
                reserved?: string[] | undefined;
            } | undefined;
            inlineSourcesContent?: boolean | undefined;
        } | undefined;
        target?: "es3" | "es5" | "es2015" | "es2016" | "es2017" | "es2018" | "es2019" | "es2020" | "es2021" | "es2022" | "es2023" | "es2024" | "esnext" | undefined;
        keepClassNames?: boolean | undefined;
        assumptions?: {
            arrayLikeIsIterable?: boolean | undefined;
            constantReexports?: boolean | undefined;
            constantSuper?: boolean | undefined;
            enumerableModuleMeta?: boolean | undefined;
            ignoreFunctionLength?: boolean | undefined;
            ignoreFunctionName?: boolean | undefined;
            ignoreToPrimitiveHint?: boolean | undefined;
            iterableIsArray?: boolean | undefined;
            mutableTemplateObject?: boolean | undefined;
            noClassCalls?: boolean | undefined;
            noDocumentAll?: boolean | undefined;
            noIncompleteNsImportDetection?: boolean | undefined;
            noNewArrows?: boolean | undefined;
            objectRestNoSymbols?: boolean | undefined;
            privateFieldsAsProperties?: boolean | undefined;
            pureGetters?: boolean | undefined;
            setClassMethods?: boolean | undefined;
            setComputedProperties?: boolean | undefined;
            setPublicClassFields?: boolean | undefined;
            setSpreadProperties?: boolean | undefined;
            skipForOfIteratorClosing?: boolean | undefined;
            superIsCallableConstructor?: boolean | undefined;
            tsEnumIsReadonly?: boolean | undefined;
        } | undefined;
        parser?: {
            syntax: "typescript" | "ecmascript";
            dynamicImport?: boolean | undefined;
            tsx?: boolean | undefined;
            decorators?: boolean | undefined;
            jsx?: boolean | undefined;
            numericSeparator?: boolean | undefined;
            classPrivateProperty?: boolean | undefined;
            privateMethod?: boolean | undefined;
            classProperty?: boolean | undefined;
            functionBind?: boolean | undefined;
            decoratorsBeforeExport?: boolean | undefined;
            exportDefaultFrom?: boolean | undefined;
            exportNamespaceFrom?: boolean | undefined;
            nullishCoalescing?: boolean | undefined;
            optionalChaining?: boolean | undefined;
            importMeta?: boolean | undefined;
            topLevelAwait?: boolean | undefined;
            importAssertions?: boolean | undefined;
            importAttributes?: boolean | undefined;
            allowSuperOutsideMethod?: boolean | undefined;
            allowReturnOutsideFunction?: boolean | undefined;
            autoAccessors?: boolean | undefined;
            explicitResourceManagement?: boolean | undefined;
        } | undefined;
        externalHelpers?: boolean | undefined;
        experimental?: {
            optimizeHygiene?: boolean | undefined;
            keepImportAttributes?: boolean | undefined;
            emitAssertForImportAttributes?: boolean | undefined;
            cacheRoot?: string | undefined;
            plugins?: [string, Record<string, any>][] | undefined;
            runPluginFirst?: boolean | undefined;
            disableBuiltinTransformsForInternalTesting?: boolean | undefined;
            emitIsolatedDts?: boolean | undefined;
            disableAllLints?: boolean | undefined;
            keepImportAssertions?: boolean | undefined;
        } | undefined;
        baseUrl?: string | undefined;
        paths?: Record<string, string[]> | undefined;
        preserveAllComments?: boolean | undefined;
    }, {
        transform?: {
            react?: {
                runtime?: "automatic" | "classic" | undefined;
                pragma?: string | undefined;
                pragmaFrag?: string | undefined;
                throwIfNamespace?: boolean | undefined;
                development?: boolean | undefined;
                useBuiltins?: boolean | undefined;
                refresh?: boolean | {
                    refreshReg?: string | undefined;
                    refreshSig?: string | undefined;
                    emitFullSignatures?: boolean | undefined;
                } | undefined;
                importSource?: string | undefined;
            } | undefined;
            constModules?: {
                globals?: Record<string, Record<string, string>> | undefined;
            } | undefined;
            optimizer?: {
                globals?: {
                    typeofs?: Record<string, string> | undefined;
                    vars?: Record<string, string> | undefined;
                    envs?: string[] | Record<string, string> | undefined;
                } | undefined;
                simplify?: boolean | undefined;
                jsonify?: {
                    minCost: number;
                } | undefined;
            } | undefined;
            legacyDecorator?: boolean | undefined;
            decoratorMetadata?: boolean | undefined;
            decoratorVersion?: "2021-12" | "2022-03" | undefined;
            treatConstEnumAsEnum?: boolean | undefined;
            useDefineForClassFields?: boolean | undefined;
            verbatimModuleSyntax?: boolean | undefined;
        } | undefined;
        loose?: boolean | undefined;
        minify?: {
            module?: boolean | "unknown" | undefined;
            outputPath?: string | undefined;
            sourceMap?: boolean | undefined;
            ecma?: string | number | undefined;
            safari10?: boolean | undefined;
            keep_classnames?: boolean | undefined;
            keep_fnames?: boolean | undefined;
            toplevel?: boolean | undefined;
            compress?: boolean | {
                module?: boolean | undefined;
                ecma?: string | number | undefined;
                arguments?: boolean | undefined;
                arrows?: boolean | undefined;
                booleans?: boolean | undefined;
                booleans_as_integers?: boolean | undefined;
                collapse_vars?: boolean | undefined;
                comparisons?: boolean | undefined;
                computed_props?: boolean | undefined;
                conditionals?: boolean | undefined;
                dead_code?: boolean | undefined;
                defaults?: boolean | undefined;
                directives?: boolean | undefined;
                drop_console?: boolean | undefined;
                drop_debugger?: boolean | undefined;
                evaluate?: boolean | undefined;
                expression?: boolean | undefined;
                global_defs?: any;
                hoist_funs?: boolean | undefined;
                hoist_props?: boolean | undefined;
                hoist_vars?: boolean | undefined;
                ie8?: boolean | undefined;
                if_return?: boolean | undefined;
                inline?: 0 | 1 | 2 | 3 | undefined;
                join_vars?: boolean | undefined;
                keep_classnames?: boolean | undefined;
                keep_fargs?: boolean | undefined;
                keep_fnames?: boolean | undefined;
                keep_infinity?: boolean | undefined;
                loops?: boolean | undefined;
                negate_iife?: boolean | undefined;
                passes?: number | undefined;
                properties?: boolean | undefined;
                pure_getters?: any;
                pure_funcs?: string[] | undefined;
                reduce_funcs?: boolean | undefined;
                reduce_vars?: boolean | undefined;
                sequences?: any;
                side_effects?: boolean | undefined;
                switches?: boolean | undefined;
                top_retain?: any;
                toplevel?: any;
                typeofs?: boolean | undefined;
                unsafe?: boolean | undefined;
                unsafe_passes?: boolean | undefined;
                unsafe_arrows?: boolean | undefined;
                unsafe_comps?: boolean | undefined;
                unsafe_function?: boolean | undefined;
                unsafe_math?: boolean | undefined;
                unsafe_symbols?: boolean | undefined;
                unsafe_methods?: boolean | undefined;
                unsafe_proto?: boolean | undefined;
                unsafe_regexp?: boolean | undefined;
                unsafe_undefined?: boolean | undefined;
                unused?: boolean | undefined;
                const_to_let?: boolean | undefined;
            } | undefined;
            format?: {
                asciiOnly?: boolean | undefined;
                beautify?: boolean | undefined;
                braces?: boolean | undefined;
                comments?: false | "some" | "all" | undefined;
                ecma?: string | number | undefined;
                indentLevel?: number | undefined;
                indentStart?: number | undefined;
                inlineScript?: boolean | undefined;
                keepNumbers?: number | undefined;
                keepQuotedProps?: boolean | undefined;
                maxLineLen?: number | undefined;
                preamble?: string | undefined;
                quoteKeys?: boolean | undefined;
                quoteStyle?: boolean | undefined;
                preserveAnnotations?: boolean | undefined;
                safari10?: boolean | undefined;
                semicolons?: boolean | undefined;
                shebang?: boolean | undefined;
                webkit?: boolean | undefined;
                wrapIife?: boolean | undefined;
                wrapFuncArgs?: boolean | undefined;
            } | undefined;
            mangle?: boolean | {
                safari10?: boolean | undefined;
                ie8?: boolean | undefined;
                keep_classnames?: boolean | undefined;
                keep_fnames?: boolean | undefined;
                toplevel?: boolean | undefined;
                props?: Record<string, any> | undefined;
                topLevel?: boolean | undefined;
                keepClassNames?: boolean | undefined;
                keepFnNames?: boolean | undefined;
                keepPrivateProps?: boolean | undefined;
                keep_private_props?: boolean | undefined;
                reserved?: string[] | undefined;
            } | undefined;
            inlineSourcesContent?: boolean | undefined;
        } | undefined;
        target?: "es3" | "es5" | "es2015" | "es2016" | "es2017" | "es2018" | "es2019" | "es2020" | "es2021" | "es2022" | "es2023" | "es2024" | "esnext" | undefined;
        keepClassNames?: boolean | undefined;
        assumptions?: {
            arrayLikeIsIterable?: boolean | undefined;
            constantReexports?: boolean | undefined;
            constantSuper?: boolean | undefined;
            enumerableModuleMeta?: boolean | undefined;
            ignoreFunctionLength?: boolean | undefined;
            ignoreFunctionName?: boolean | undefined;
            ignoreToPrimitiveHint?: boolean | undefined;
            iterableIsArray?: boolean | undefined;
            mutableTemplateObject?: boolean | undefined;
            noClassCalls?: boolean | undefined;
            noDocumentAll?: boolean | undefined;
            noIncompleteNsImportDetection?: boolean | undefined;
            noNewArrows?: boolean | undefined;
            objectRestNoSymbols?: boolean | undefined;
            privateFieldsAsProperties?: boolean | undefined;
            pureGetters?: boolean | undefined;
            setClassMethods?: boolean | undefined;
            setComputedProperties?: boolean | undefined;
            setPublicClassFields?: boolean | undefined;
            setSpreadProperties?: boolean | undefined;
            skipForOfIteratorClosing?: boolean | undefined;
            superIsCallableConstructor?: boolean | undefined;
            tsEnumIsReadonly?: boolean | undefined;
        } | undefined;
        parser?: {
            syntax: "typescript" | "ecmascript";
            dynamicImport?: boolean | undefined;
            tsx?: boolean | undefined;
            decorators?: boolean | undefined;
            jsx?: boolean | undefined;
            numericSeparator?: boolean | undefined;
            classPrivateProperty?: boolean | undefined;
            privateMethod?: boolean | undefined;
            classProperty?: boolean | undefined;
            functionBind?: boolean | undefined;
            decoratorsBeforeExport?: boolean | undefined;
            exportDefaultFrom?: boolean | undefined;
            exportNamespaceFrom?: boolean | undefined;
            nullishCoalescing?: boolean | undefined;
            optionalChaining?: boolean | undefined;
            importMeta?: boolean | undefined;
            topLevelAwait?: boolean | undefined;
            importAssertions?: boolean | undefined;
            importAttributes?: boolean | undefined;
            allowSuperOutsideMethod?: boolean | undefined;
            allowReturnOutsideFunction?: boolean | undefined;
            autoAccessors?: boolean | undefined;
            explicitResourceManagement?: boolean | undefined;
        } | undefined;
        externalHelpers?: boolean | undefined;
        experimental?: {
            optimizeHygiene?: boolean | undefined;
            keepImportAttributes?: boolean | undefined;
            emitAssertForImportAttributes?: boolean | undefined;
            cacheRoot?: string | undefined;
            plugins?: [string, Record<string, any>][] | undefined;
            runPluginFirst?: boolean | undefined;
            disableBuiltinTransformsForInternalTesting?: boolean | undefined;
            emitIsolatedDts?: boolean | undefined;
            disableAllLints?: boolean | undefined;
            keepImportAssertions?: boolean | undefined;
        } | undefined;
        baseUrl?: string | undefined;
        paths?: Record<string, string[]> | undefined;
        preserveAllComments?: boolean | undefined;
    }>>;
    module: z.ZodOptional<z.ZodUnion<[z.ZodObject<{
        strict: z.ZodOptional<z.ZodBoolean>;
        strictMode: z.ZodOptional<z.ZodBoolean>;
        lazy: z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodArray<z.ZodString, "many">]>>;
        noInterop: z.ZodOptional<z.ZodBoolean>;
        importInterop: z.ZodOptional<z.ZodEnum<["swc", "babel", "node", "none"]>>;
        outFileExtension: z.ZodOptional<z.ZodEnum<["js", "mjs", "cjs"]>>;
        exportInteropAnnotation: z.ZodOptional<z.ZodBoolean>;
        ignoreDynamic: z.ZodOptional<z.ZodBoolean>;
        allowTopLevelThis: z.ZodOptional<z.ZodBoolean>;
        preserveImportMeta: z.ZodOptional<z.ZodBoolean>;
    } & {
        type: z.ZodLiteral<"es6">;
    }, "strict", z.ZodTypeAny, {
        type: "es6";
        strict?: boolean | undefined;
        strictMode?: boolean | undefined;
        lazy?: boolean | string[] | undefined;
        noInterop?: boolean | undefined;
        importInterop?: "none" | "swc" | "babel" | "node" | undefined;
        outFileExtension?: "js" | "mjs" | "cjs" | undefined;
        exportInteropAnnotation?: boolean | undefined;
        ignoreDynamic?: boolean | undefined;
        allowTopLevelThis?: boolean | undefined;
        preserveImportMeta?: boolean | undefined;
    }, {
        type: "es6";
        strict?: boolean | undefined;
        strictMode?: boolean | undefined;
        lazy?: boolean | string[] | undefined;
        noInterop?: boolean | undefined;
        importInterop?: "none" | "swc" | "babel" | "node" | undefined;
        outFileExtension?: "js" | "mjs" | "cjs" | undefined;
        exportInteropAnnotation?: boolean | undefined;
        ignoreDynamic?: boolean | undefined;
        allowTopLevelThis?: boolean | undefined;
        preserveImportMeta?: boolean | undefined;
    }>, z.ZodObject<{
        strict: z.ZodOptional<z.ZodBoolean>;
        strictMode: z.ZodOptional<z.ZodBoolean>;
        lazy: z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodArray<z.ZodString, "many">]>>;
        noInterop: z.ZodOptional<z.ZodBoolean>;
        importInterop: z.ZodOptional<z.ZodEnum<["swc", "babel", "node", "none"]>>;
        outFileExtension: z.ZodOptional<z.ZodEnum<["js", "mjs", "cjs"]>>;
        exportInteropAnnotation: z.ZodOptional<z.ZodBoolean>;
        ignoreDynamic: z.ZodOptional<z.ZodBoolean>;
        allowTopLevelThis: z.ZodOptional<z.ZodBoolean>;
        preserveImportMeta: z.ZodOptional<z.ZodBoolean>;
    } & {
        type: z.ZodLiteral<"commonjs">;
    }, "strict", z.ZodTypeAny, {
        type: "commonjs";
        strict?: boolean | undefined;
        strictMode?: boolean | undefined;
        lazy?: boolean | string[] | undefined;
        noInterop?: boolean | undefined;
        importInterop?: "none" | "swc" | "babel" | "node" | undefined;
        outFileExtension?: "js" | "mjs" | "cjs" | undefined;
        exportInteropAnnotation?: boolean | undefined;
        ignoreDynamic?: boolean | undefined;
        allowTopLevelThis?: boolean | undefined;
        preserveImportMeta?: boolean | undefined;
    }, {
        type: "commonjs";
        strict?: boolean | undefined;
        strictMode?: boolean | undefined;
        lazy?: boolean | string[] | undefined;
        noInterop?: boolean | undefined;
        importInterop?: "none" | "swc" | "babel" | "node" | undefined;
        outFileExtension?: "js" | "mjs" | "cjs" | undefined;
        exportInteropAnnotation?: boolean | undefined;
        ignoreDynamic?: boolean | undefined;
        allowTopLevelThis?: boolean | undefined;
        preserveImportMeta?: boolean | undefined;
    }>, z.ZodObject<{
        strict: z.ZodOptional<z.ZodBoolean>;
        strictMode: z.ZodOptional<z.ZodBoolean>;
        lazy: z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodArray<z.ZodString, "many">]>>;
        noInterop: z.ZodOptional<z.ZodBoolean>;
        importInterop: z.ZodOptional<z.ZodEnum<["swc", "babel", "node", "none"]>>;
        outFileExtension: z.ZodOptional<z.ZodEnum<["js", "mjs", "cjs"]>>;
        exportInteropAnnotation: z.ZodOptional<z.ZodBoolean>;
        ignoreDynamic: z.ZodOptional<z.ZodBoolean>;
        allowTopLevelThis: z.ZodOptional<z.ZodBoolean>;
        preserveImportMeta: z.ZodOptional<z.ZodBoolean>;
    } & {
        type: z.ZodLiteral<"umd">;
        globals: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
    }, "strict", z.ZodTypeAny, {
        type: "umd";
        strict?: boolean | undefined;
        globals?: Record<string, string> | undefined;
        strictMode?: boolean | undefined;
        lazy?: boolean | string[] | undefined;
        noInterop?: boolean | undefined;
        importInterop?: "none" | "swc" | "babel" | "node" | undefined;
        outFileExtension?: "js" | "mjs" | "cjs" | undefined;
        exportInteropAnnotation?: boolean | undefined;
        ignoreDynamic?: boolean | undefined;
        allowTopLevelThis?: boolean | undefined;
        preserveImportMeta?: boolean | undefined;
    }, {
        type: "umd";
        strict?: boolean | undefined;
        globals?: Record<string, string> | undefined;
        strictMode?: boolean | undefined;
        lazy?: boolean | string[] | undefined;
        noInterop?: boolean | undefined;
        importInterop?: "none" | "swc" | "babel" | "node" | undefined;
        outFileExtension?: "js" | "mjs" | "cjs" | undefined;
        exportInteropAnnotation?: boolean | undefined;
        ignoreDynamic?: boolean | undefined;
        allowTopLevelThis?: boolean | undefined;
        preserveImportMeta?: boolean | undefined;
    }>, z.ZodObject<{
        strict: z.ZodOptional<z.ZodBoolean>;
        strictMode: z.ZodOptional<z.ZodBoolean>;
        lazy: z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodArray<z.ZodString, "many">]>>;
        noInterop: z.ZodOptional<z.ZodBoolean>;
        importInterop: z.ZodOptional<z.ZodEnum<["swc", "babel", "node", "none"]>>;
        outFileExtension: z.ZodOptional<z.ZodEnum<["js", "mjs", "cjs"]>>;
        exportInteropAnnotation: z.ZodOptional<z.ZodBoolean>;
        ignoreDynamic: z.ZodOptional<z.ZodBoolean>;
        allowTopLevelThis: z.ZodOptional<z.ZodBoolean>;
        preserveImportMeta: z.ZodOptional<z.ZodBoolean>;
    } & {
        type: z.ZodLiteral<"amd">;
        moduleId: z.ZodOptional<z.ZodString>;
    }, "strict", z.ZodTypeAny, {
        type: "amd";
        moduleId?: string | undefined;
        strict?: boolean | undefined;
        strictMode?: boolean | undefined;
        lazy?: boolean | string[] | undefined;
        noInterop?: boolean | undefined;
        importInterop?: "none" | "swc" | "babel" | "node" | undefined;
        outFileExtension?: "js" | "mjs" | "cjs" | undefined;
        exportInteropAnnotation?: boolean | undefined;
        ignoreDynamic?: boolean | undefined;
        allowTopLevelThis?: boolean | undefined;
        preserveImportMeta?: boolean | undefined;
    }, {
        type: "amd";
        moduleId?: string | undefined;
        strict?: boolean | undefined;
        strictMode?: boolean | undefined;
        lazy?: boolean | string[] | undefined;
        noInterop?: boolean | undefined;
        importInterop?: "none" | "swc" | "babel" | "node" | undefined;
        outFileExtension?: "js" | "mjs" | "cjs" | undefined;
        exportInteropAnnotation?: boolean | undefined;
        ignoreDynamic?: boolean | undefined;
        allowTopLevelThis?: boolean | undefined;
        preserveImportMeta?: boolean | undefined;
    }>, z.ZodObject<{
        strict: z.ZodOptional<z.ZodBoolean>;
        strictMode: z.ZodOptional<z.ZodBoolean>;
        lazy: z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodArray<z.ZodString, "many">]>>;
        noInterop: z.ZodOptional<z.ZodBoolean>;
        importInterop: z.ZodOptional<z.ZodEnum<["swc", "babel", "node", "none"]>>;
        outFileExtension: z.ZodOptional<z.ZodEnum<["js", "mjs", "cjs"]>>;
        exportInteropAnnotation: z.ZodOptional<z.ZodBoolean>;
        ignoreDynamic: z.ZodOptional<z.ZodBoolean>;
        allowTopLevelThis: z.ZodOptional<z.ZodBoolean>;
        preserveImportMeta: z.ZodOptional<z.ZodBoolean>;
    } & {
        type: z.ZodLiteral<"nodenext">;
    }, "strict", z.ZodTypeAny, {
        type: "nodenext";
        strict?: boolean | undefined;
        strictMode?: boolean | undefined;
        lazy?: boolean | string[] | undefined;
        noInterop?: boolean | undefined;
        importInterop?: "none" | "swc" | "babel" | "node" | undefined;
        outFileExtension?: "js" | "mjs" | "cjs" | undefined;
        exportInteropAnnotation?: boolean | undefined;
        ignoreDynamic?: boolean | undefined;
        allowTopLevelThis?: boolean | undefined;
        preserveImportMeta?: boolean | undefined;
    }, {
        type: "nodenext";
        strict?: boolean | undefined;
        strictMode?: boolean | undefined;
        lazy?: boolean | string[] | undefined;
        noInterop?: boolean | undefined;
        importInterop?: "none" | "swc" | "babel" | "node" | undefined;
        outFileExtension?: "js" | "mjs" | "cjs" | undefined;
        exportInteropAnnotation?: boolean | undefined;
        ignoreDynamic?: boolean | undefined;
        allowTopLevelThis?: boolean | undefined;
        preserveImportMeta?: boolean | undefined;
    }>, z.ZodObject<{
        type: z.ZodLiteral<"systemjs">;
        allowTopLevelThis: z.ZodOptional<z.ZodBoolean>;
    }, "strict", z.ZodTypeAny, {
        type: "systemjs";
        allowTopLevelThis?: boolean | undefined;
    }, {
        type: "systemjs";
        allowTopLevelThis?: boolean | undefined;
    }>]>>;
    minify: z.ZodOptional<z.ZodBoolean>;
    sourceMaps: z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodLiteral<"inline">]>>;
    inlineSourcesContent: z.ZodOptional<z.ZodBoolean>;
} & {
    isModule: z.ZodOptional<z.ZodUnion<[z.ZodBoolean, z.ZodLiteral<"unknown">]>>;
    rspackExperiments: z.ZodOptional<z.ZodObject<{
        import: z.ZodOptional<z.ZodOptional<z.ZodArray<z.ZodObject<{
            libraryName: z.ZodString;
            libraryDirectory: z.ZodOptional<z.ZodString>;
            customName: z.ZodOptional<z.ZodString>;
            customStyleName: z.ZodOptional<z.ZodString>;
            style: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodBoolean]>>;
            styleLibraryDirectory: z.ZodOptional<z.ZodString>;
            camelToDashComponentName: z.ZodOptional<z.ZodBoolean>;
            transformToDefaultImport: z.ZodOptional<z.ZodBoolean>;
            ignoreEsComponent: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
            ignoreStyleComponent: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        }, "strict", z.ZodTypeAny, {
            libraryName: string;
            libraryDirectory?: string | undefined;
            customName?: string | undefined;
            customStyleName?: string | undefined;
            style?: string | boolean | undefined;
            styleLibraryDirectory?: string | undefined;
            camelToDashComponentName?: boolean | undefined;
            transformToDefaultImport?: boolean | undefined;
            ignoreEsComponent?: string[] | undefined;
            ignoreStyleComponent?: string[] | undefined;
        }, {
            libraryName: string;
            libraryDirectory?: string | undefined;
            customName?: string | undefined;
            customStyleName?: string | undefined;
            style?: string | boolean | undefined;
            styleLibraryDirectory?: string | undefined;
            camelToDashComponentName?: boolean | undefined;
            transformToDefaultImport?: boolean | undefined;
            ignoreEsComponent?: string[] | undefined;
            ignoreStyleComponent?: string[] | undefined;
        }>, "many">>>;
    }, "strict", z.ZodTypeAny, {
        import?: {
            libraryName: string;
            libraryDirectory?: string | undefined;
            customName?: string | undefined;
            customStyleName?: string | undefined;
            style?: string | boolean | undefined;
            styleLibraryDirectory?: string | undefined;
            camelToDashComponentName?: boolean | undefined;
            transformToDefaultImport?: boolean | undefined;
            ignoreEsComponent?: string[] | undefined;
            ignoreStyleComponent?: string[] | undefined;
        }[] | undefined;
    }, {
        import?: {
            libraryName: string;
            libraryDirectory?: string | undefined;
            customName?: string | undefined;
            customStyleName?: string | undefined;
            style?: string | boolean | undefined;
            styleLibraryDirectory?: string | undefined;
            camelToDashComponentName?: boolean | undefined;
            transformToDefaultImport?: boolean | undefined;
            ignoreEsComponent?: string[] | undefined;
            ignoreStyleComponent?: string[] | undefined;
        }[] | undefined;
    }>>;
}, "strict", z.ZodTypeAny, {
    module?: {
        type: "es6";
        strict?: boolean | undefined;
        strictMode?: boolean | undefined;
        lazy?: boolean | string[] | undefined;
        noInterop?: boolean | undefined;
        importInterop?: "none" | "swc" | "babel" | "node" | undefined;
        outFileExtension?: "js" | "mjs" | "cjs" | undefined;
        exportInteropAnnotation?: boolean | undefined;
        ignoreDynamic?: boolean | undefined;
        allowTopLevelThis?: boolean | undefined;
        preserveImportMeta?: boolean | undefined;
    } | {
        type: "nodenext";
        strict?: boolean | undefined;
        strictMode?: boolean | undefined;
        lazy?: boolean | string[] | undefined;
        noInterop?: boolean | undefined;
        importInterop?: "none" | "swc" | "babel" | "node" | undefined;
        outFileExtension?: "js" | "mjs" | "cjs" | undefined;
        exportInteropAnnotation?: boolean | undefined;
        ignoreDynamic?: boolean | undefined;
        allowTopLevelThis?: boolean | undefined;
        preserveImportMeta?: boolean | undefined;
    } | {
        type: "commonjs";
        strict?: boolean | undefined;
        strictMode?: boolean | undefined;
        lazy?: boolean | string[] | undefined;
        noInterop?: boolean | undefined;
        importInterop?: "none" | "swc" | "babel" | "node" | undefined;
        outFileExtension?: "js" | "mjs" | "cjs" | undefined;
        exportInteropAnnotation?: boolean | undefined;
        ignoreDynamic?: boolean | undefined;
        allowTopLevelThis?: boolean | undefined;
        preserveImportMeta?: boolean | undefined;
    } | {
        type: "umd";
        strict?: boolean | undefined;
        globals?: Record<string, string> | undefined;
        strictMode?: boolean | undefined;
        lazy?: boolean | string[] | undefined;
        noInterop?: boolean | undefined;
        importInterop?: "none" | "swc" | "babel" | "node" | undefined;
        outFileExtension?: "js" | "mjs" | "cjs" | undefined;
        exportInteropAnnotation?: boolean | undefined;
        ignoreDynamic?: boolean | undefined;
        allowTopLevelThis?: boolean | undefined;
        preserveImportMeta?: boolean | undefined;
    } | {
        type: "amd";
        moduleId?: string | undefined;
        strict?: boolean | undefined;
        strictMode?: boolean | undefined;
        lazy?: boolean | string[] | undefined;
        noInterop?: boolean | undefined;
        importInterop?: "none" | "swc" | "babel" | "node" | undefined;
        outFileExtension?: "js" | "mjs" | "cjs" | undefined;
        exportInteropAnnotation?: boolean | undefined;
        ignoreDynamic?: boolean | undefined;
        allowTopLevelThis?: boolean | undefined;
        preserveImportMeta?: boolean | undefined;
    } | {
        type: "systemjs";
        allowTopLevelThis?: boolean | undefined;
    } | undefined;
    env?: {
        exclude?: string[] | undefined;
        loose?: boolean | undefined;
        path?: string | undefined;
        mode?: "usage" | "entry" | undefined;
        debug?: boolean | undefined;
        dynamicImport?: boolean | undefined;
        bugfixes?: boolean | undefined;
        skip?: string[] | undefined;
        include?: string[] | undefined;
        coreJs?: string | undefined;
        targets?: any;
        shippedProposals?: boolean | undefined;
        forceAllTransforms?: boolean | undefined;
    } | undefined;
    exclude?: string | string[] | undefined;
    minify?: boolean | undefined;
    inlineSourcesContent?: boolean | undefined;
    $schema?: string | undefined;
    test?: string | string[] | undefined;
    jsc?: {
        transform?: {
            react?: {
                runtime?: "automatic" | "classic" | undefined;
                pragma?: string | undefined;
                pragmaFrag?: string | undefined;
                throwIfNamespace?: boolean | undefined;
                development?: boolean | undefined;
                useBuiltins?: boolean | undefined;
                refresh?: boolean | {
                    refreshReg?: string | undefined;
                    refreshSig?: string | undefined;
                    emitFullSignatures?: boolean | undefined;
                } | undefined;
                importSource?: string | undefined;
            } | undefined;
            constModules?: {
                globals?: Record<string, Record<string, string>> | undefined;
            } | undefined;
            optimizer?: {
                globals?: {
                    typeofs?: Record<string, string> | undefined;
                    vars?: Record<string, string> | undefined;
                    envs?: string[] | Record<string, string> | undefined;
                } | undefined;
                simplify?: boolean | undefined;
                jsonify?: {
                    minCost: number;
                } | undefined;
            } | undefined;
            legacyDecorator?: boolean | undefined;
            decoratorMetadata?: boolean | undefined;
            decoratorVersion?: "2021-12" | "2022-03" | undefined;
            treatConstEnumAsEnum?: boolean | undefined;
            useDefineForClassFields?: boolean | undefined;
            verbatimModuleSyntax?: boolean | undefined;
        } | undefined;
        loose?: boolean | undefined;
        minify?: {
            module?: boolean | "unknown" | undefined;
            outputPath?: string | undefined;
            sourceMap?: boolean | undefined;
            ecma?: string | number | undefined;
            safari10?: boolean | undefined;
            keep_classnames?: boolean | undefined;
            keep_fnames?: boolean | undefined;
            toplevel?: boolean | undefined;
            compress?: boolean | {
                module?: boolean | undefined;
                ecma?: string | number | undefined;
                arguments?: boolean | undefined;
                arrows?: boolean | undefined;
                booleans?: boolean | undefined;
                booleans_as_integers?: boolean | undefined;
                collapse_vars?: boolean | undefined;
                comparisons?: boolean | undefined;
                computed_props?: boolean | undefined;
                conditionals?: boolean | undefined;
                dead_code?: boolean | undefined;
                defaults?: boolean | undefined;
                directives?: boolean | undefined;
                drop_console?: boolean | undefined;
                drop_debugger?: boolean | undefined;
                evaluate?: boolean | undefined;
                expression?: boolean | undefined;
                global_defs?: any;
                hoist_funs?: boolean | undefined;
                hoist_props?: boolean | undefined;
                hoist_vars?: boolean | undefined;
                ie8?: boolean | undefined;
                if_return?: boolean | undefined;
                inline?: 0 | 1 | 2 | 3 | undefined;
                join_vars?: boolean | undefined;
                keep_classnames?: boolean | undefined;
                keep_fargs?: boolean | undefined;
                keep_fnames?: boolean | undefined;
                keep_infinity?: boolean | undefined;
                loops?: boolean | undefined;
                negate_iife?: boolean | undefined;
                passes?: number | undefined;
                properties?: boolean | undefined;
                pure_getters?: any;
                pure_funcs?: string[] | undefined;
                reduce_funcs?: boolean | undefined;
                reduce_vars?: boolean | undefined;
                sequences?: any;
                side_effects?: boolean | undefined;
                switches?: boolean | undefined;
                top_retain?: any;
                toplevel?: any;
                typeofs?: boolean | undefined;
                unsafe?: boolean | undefined;
                unsafe_passes?: boolean | undefined;
                unsafe_arrows?: boolean | undefined;
                unsafe_comps?: boolean | undefined;
                unsafe_function?: boolean | undefined;
                unsafe_math?: boolean | undefined;
                unsafe_symbols?: boolean | undefined;
                unsafe_methods?: boolean | undefined;
                unsafe_proto?: boolean | undefined;
                unsafe_regexp?: boolean | undefined;
                unsafe_undefined?: boolean | undefined;
                unused?: boolean | undefined;
                const_to_let?: boolean | undefined;
            } | undefined;
            format?: {
                asciiOnly?: boolean | undefined;
                beautify?: boolean | undefined;
                braces?: boolean | undefined;
                comments?: false | "some" | "all" | undefined;
                ecma?: string | number | undefined;
                indentLevel?: number | undefined;
                indentStart?: number | undefined;
                inlineScript?: boolean | undefined;
                keepNumbers?: number | undefined;
                keepQuotedProps?: boolean | undefined;
                maxLineLen?: number | undefined;
                preamble?: string | undefined;
                quoteKeys?: boolean | undefined;
                quoteStyle?: boolean | undefined;
                preserveAnnotations?: boolean | undefined;
                safari10?: boolean | undefined;
                semicolons?: boolean | undefined;
                shebang?: boolean | undefined;
                webkit?: boolean | undefined;
                wrapIife?: boolean | undefined;
                wrapFuncArgs?: boolean | undefined;
            } | undefined;
            mangle?: boolean | {
                safari10?: boolean | undefined;
                ie8?: boolean | undefined;
                keep_classnames?: boolean | undefined;
                keep_fnames?: boolean | undefined;
                toplevel?: boolean | undefined;
                props?: Record<string, any> | undefined;
                topLevel?: boolean | undefined;
                keepClassNames?: boolean | undefined;
                keepFnNames?: boolean | undefined;
                keepPrivateProps?: boolean | undefined;
                keep_private_props?: boolean | undefined;
                reserved?: string[] | undefined;
            } | undefined;
            inlineSourcesContent?: boolean | undefined;
        } | undefined;
        target?: "es3" | "es5" | "es2015" | "es2016" | "es2017" | "es2018" | "es2019" | "es2020" | "es2021" | "es2022" | "es2023" | "es2024" | "esnext" | undefined;
        keepClassNames?: boolean | undefined;
        assumptions?: {
            arrayLikeIsIterable?: boolean | undefined;
            constantReexports?: boolean | undefined;
            constantSuper?: boolean | undefined;
            enumerableModuleMeta?: boolean | undefined;
            ignoreFunctionLength?: boolean | undefined;
            ignoreFunctionName?: boolean | undefined;
            ignoreToPrimitiveHint?: boolean | undefined;
            iterableIsArray?: boolean | undefined;
            mutableTemplateObject?: boolean | undefined;
            noClassCalls?: boolean | undefined;
            noDocumentAll?: boolean | undefined;
            noIncompleteNsImportDetection?: boolean | undefined;
            noNewArrows?: boolean | undefined;
            objectRestNoSymbols?: boolean | undefined;
            privateFieldsAsProperties?: boolean | undefined;
            pureGetters?: boolean | undefined;
            setClassMethods?: boolean | undefined;
            setComputedProperties?: boolean | undefined;
            setPublicClassFields?: boolean | undefined;
            setSpreadProperties?: boolean | undefined;
            skipForOfIteratorClosing?: boolean | undefined;
            superIsCallableConstructor?: boolean | undefined;
            tsEnumIsReadonly?: boolean | undefined;
        } | undefined;
        parser?: {
            syntax: "typescript" | "ecmascript";
            dynamicImport?: boolean | undefined;
            tsx?: boolean | undefined;
            decorators?: boolean | undefined;
            jsx?: boolean | undefined;
            numericSeparator?: boolean | undefined;
            classPrivateProperty?: boolean | undefined;
            privateMethod?: boolean | undefined;
            classProperty?: boolean | undefined;
            functionBind?: boolean | undefined;
            decoratorsBeforeExport?: boolean | undefined;
            exportDefaultFrom?: boolean | undefined;
            exportNamespaceFrom?: boolean | undefined;
            nullishCoalescing?: boolean | undefined;
            optionalChaining?: boolean | undefined;
            importMeta?: boolean | undefined;
            topLevelAwait?: boolean | undefined;
            importAssertions?: boolean | undefined;
            importAttributes?: boolean | undefined;
            allowSuperOutsideMethod?: boolean | undefined;
            allowReturnOutsideFunction?: boolean | undefined;
            autoAccessors?: boolean | undefined;
            explicitResourceManagement?: boolean | undefined;
        } | undefined;
        externalHelpers?: boolean | undefined;
        experimental?: {
            optimizeHygiene?: boolean | undefined;
            keepImportAttributes?: boolean | undefined;
            emitAssertForImportAttributes?: boolean | undefined;
            cacheRoot?: string | undefined;
            plugins?: [string, Record<string, any>][] | undefined;
            runPluginFirst?: boolean | undefined;
            disableBuiltinTransformsForInternalTesting?: boolean | undefined;
            emitIsolatedDts?: boolean | undefined;
            disableAllLints?: boolean | undefined;
            keepImportAssertions?: boolean | undefined;
        } | undefined;
        baseUrl?: string | undefined;
        paths?: Record<string, string[]> | undefined;
        preserveAllComments?: boolean | undefined;
    } | undefined;
    sourceMaps?: boolean | "inline" | undefined;
    isModule?: boolean | "unknown" | undefined;
    rspackExperiments?: {
        import?: {
            libraryName: string;
            libraryDirectory?: string | undefined;
            customName?: string | undefined;
            customStyleName?: string | undefined;
            style?: string | boolean | undefined;
            styleLibraryDirectory?: string | undefined;
            camelToDashComponentName?: boolean | undefined;
            transformToDefaultImport?: boolean | undefined;
            ignoreEsComponent?: string[] | undefined;
            ignoreStyleComponent?: string[] | undefined;
        }[] | undefined;
    } | undefined;
}, {
    module?: {
        type: "es6";
        strict?: boolean | undefined;
        strictMode?: boolean | undefined;
        lazy?: boolean | string[] | undefined;
        noInterop?: boolean | undefined;
        importInterop?: "none" | "swc" | "babel" | "node" | undefined;
        outFileExtension?: "js" | "mjs" | "cjs" | undefined;
        exportInteropAnnotation?: boolean | undefined;
        ignoreDynamic?: boolean | undefined;
        allowTopLevelThis?: boolean | undefined;
        preserveImportMeta?: boolean | undefined;
    } | {
        type: "nodenext";
        strict?: boolean | undefined;
        strictMode?: boolean | undefined;
        lazy?: boolean | string[] | undefined;
        noInterop?: boolean | undefined;
        importInterop?: "none" | "swc" | "babel" | "node" | undefined;
        outFileExtension?: "js" | "mjs" | "cjs" | undefined;
        exportInteropAnnotation?: boolean | undefined;
        ignoreDynamic?: boolean | undefined;
        allowTopLevelThis?: boolean | undefined;
        preserveImportMeta?: boolean | undefined;
    } | {
        type: "commonjs";
        strict?: boolean | undefined;
        strictMode?: boolean | undefined;
        lazy?: boolean | string[] | undefined;
        noInterop?: boolean | undefined;
        importInterop?: "none" | "swc" | "babel" | "node" | undefined;
        outFileExtension?: "js" | "mjs" | "cjs" | undefined;
        exportInteropAnnotation?: boolean | undefined;
        ignoreDynamic?: boolean | undefined;
        allowTopLevelThis?: boolean | undefined;
        preserveImportMeta?: boolean | undefined;
    } | {
        type: "umd";
        strict?: boolean | undefined;
        globals?: Record<string, string> | undefined;
        strictMode?: boolean | undefined;
        lazy?: boolean | string[] | undefined;
        noInterop?: boolean | undefined;
        importInterop?: "none" | "swc" | "babel" | "node" | undefined;
        outFileExtension?: "js" | "mjs" | "cjs" | undefined;
        exportInteropAnnotation?: boolean | undefined;
        ignoreDynamic?: boolean | undefined;
        allowTopLevelThis?: boolean | undefined;
        preserveImportMeta?: boolean | undefined;
    } | {
        type: "amd";
        moduleId?: string | undefined;
        strict?: boolean | undefined;
        strictMode?: boolean | undefined;
        lazy?: boolean | string[] | undefined;
        noInterop?: boolean | undefined;
        importInterop?: "none" | "swc" | "babel" | "node" | undefined;
        outFileExtension?: "js" | "mjs" | "cjs" | undefined;
        exportInteropAnnotation?: boolean | undefined;
        ignoreDynamic?: boolean | undefined;
        allowTopLevelThis?: boolean | undefined;
        preserveImportMeta?: boolean | undefined;
    } | {
        type: "systemjs";
        allowTopLevelThis?: boolean | undefined;
    } | undefined;
    env?: {
        exclude?: string[] | undefined;
        loose?: boolean | undefined;
        path?: string | undefined;
        mode?: "usage" | "entry" | undefined;
        debug?: boolean | undefined;
        dynamicImport?: boolean | undefined;
        bugfixes?: boolean | undefined;
        skip?: string[] | undefined;
        include?: string[] | undefined;
        coreJs?: string | undefined;
        targets?: any;
        shippedProposals?: boolean | undefined;
        forceAllTransforms?: boolean | undefined;
    } | undefined;
    exclude?: string | string[] | undefined;
    minify?: boolean | undefined;
    inlineSourcesContent?: boolean | undefined;
    $schema?: string | undefined;
    test?: string | string[] | undefined;
    jsc?: {
        transform?: {
            react?: {
                runtime?: "automatic" | "classic" | undefined;
                pragma?: string | undefined;
                pragmaFrag?: string | undefined;
                throwIfNamespace?: boolean | undefined;
                development?: boolean | undefined;
                useBuiltins?: boolean | undefined;
                refresh?: boolean | {
                    refreshReg?: string | undefined;
                    refreshSig?: string | undefined;
                    emitFullSignatures?: boolean | undefined;
                } | undefined;
                importSource?: string | undefined;
            } | undefined;
            constModules?: {
                globals?: Record<string, Record<string, string>> | undefined;
            } | undefined;
            optimizer?: {
                globals?: {
                    typeofs?: Record<string, string> | undefined;
                    vars?: Record<string, string> | undefined;
                    envs?: string[] | Record<string, string> | undefined;
                } | undefined;
                simplify?: boolean | undefined;
                jsonify?: {
                    minCost: number;
                } | undefined;
            } | undefined;
            legacyDecorator?: boolean | undefined;
            decoratorMetadata?: boolean | undefined;
            decoratorVersion?: "2021-12" | "2022-03" | undefined;
            treatConstEnumAsEnum?: boolean | undefined;
            useDefineForClassFields?: boolean | undefined;
            verbatimModuleSyntax?: boolean | undefined;
        } | undefined;
        loose?: boolean | undefined;
        minify?: {
            module?: boolean | "unknown" | undefined;
            outputPath?: string | undefined;
            sourceMap?: boolean | undefined;
            ecma?: string | number | undefined;
            safari10?: boolean | undefined;
            keep_classnames?: boolean | undefined;
            keep_fnames?: boolean | undefined;
            toplevel?: boolean | undefined;
            compress?: boolean | {
                module?: boolean | undefined;
                ecma?: string | number | undefined;
                arguments?: boolean | undefined;
                arrows?: boolean | undefined;
                booleans?: boolean | undefined;
                booleans_as_integers?: boolean | undefined;
                collapse_vars?: boolean | undefined;
                comparisons?: boolean | undefined;
                computed_props?: boolean | undefined;
                conditionals?: boolean | undefined;
                dead_code?: boolean | undefined;
                defaults?: boolean | undefined;
                directives?: boolean | undefined;
                drop_console?: boolean | undefined;
                drop_debugger?: boolean | undefined;
                evaluate?: boolean | undefined;
                expression?: boolean | undefined;
                global_defs?: any;
                hoist_funs?: boolean | undefined;
                hoist_props?: boolean | undefined;
                hoist_vars?: boolean | undefined;
                ie8?: boolean | undefined;
                if_return?: boolean | undefined;
                inline?: 0 | 1 | 2 | 3 | undefined;
                join_vars?: boolean | undefined;
                keep_classnames?: boolean | undefined;
                keep_fargs?: boolean | undefined;
                keep_fnames?: boolean | undefined;
                keep_infinity?: boolean | undefined;
                loops?: boolean | undefined;
                negate_iife?: boolean | undefined;
                passes?: number | undefined;
                properties?: boolean | undefined;
                pure_getters?: any;
                pure_funcs?: string[] | undefined;
                reduce_funcs?: boolean | undefined;
                reduce_vars?: boolean | undefined;
                sequences?: any;
                side_effects?: boolean | undefined;
                switches?: boolean | undefined;
                top_retain?: any;
                toplevel?: any;
                typeofs?: boolean | undefined;
                unsafe?: boolean | undefined;
                unsafe_passes?: boolean | undefined;
                unsafe_arrows?: boolean | undefined;
                unsafe_comps?: boolean | undefined;
                unsafe_function?: boolean | undefined;
                unsafe_math?: boolean | undefined;
                unsafe_symbols?: boolean | undefined;
                unsafe_methods?: boolean | undefined;
                unsafe_proto?: boolean | undefined;
                unsafe_regexp?: boolean | undefined;
                unsafe_undefined?: boolean | undefined;
                unused?: boolean | undefined;
                const_to_let?: boolean | undefined;
            } | undefined;
            format?: {
                asciiOnly?: boolean | undefined;
                beautify?: boolean | undefined;
                braces?: boolean | undefined;
                comments?: false | "some" | "all" | undefined;
                ecma?: string | number | undefined;
                indentLevel?: number | undefined;
                indentStart?: number | undefined;
                inlineScript?: boolean | undefined;
                keepNumbers?: number | undefined;
                keepQuotedProps?: boolean | undefined;
                maxLineLen?: number | undefined;
                preamble?: string | undefined;
                quoteKeys?: boolean | undefined;
                quoteStyle?: boolean | undefined;
                preserveAnnotations?: boolean | undefined;
                safari10?: boolean | undefined;
                semicolons?: boolean | undefined;
                shebang?: boolean | undefined;
                webkit?: boolean | undefined;
                wrapIife?: boolean | undefined;
                wrapFuncArgs?: boolean | undefined;
            } | undefined;
            mangle?: boolean | {
                safari10?: boolean | undefined;
                ie8?: boolean | undefined;
                keep_classnames?: boolean | undefined;
                keep_fnames?: boolean | undefined;
                toplevel?: boolean | undefined;
                props?: Record<string, any> | undefined;
                topLevel?: boolean | undefined;
                keepClassNames?: boolean | undefined;
                keepFnNames?: boolean | undefined;
                keepPrivateProps?: boolean | undefined;
                keep_private_props?: boolean | undefined;
                reserved?: string[] | undefined;
            } | undefined;
            inlineSourcesContent?: boolean | undefined;
        } | undefined;
        target?: "es3" | "es5" | "es2015" | "es2016" | "es2017" | "es2018" | "es2019" | "es2020" | "es2021" | "es2022" | "es2023" | "es2024" | "esnext" | undefined;
        keepClassNames?: boolean | undefined;
        assumptions?: {
            arrayLikeIsIterable?: boolean | undefined;
            constantReexports?: boolean | undefined;
            constantSuper?: boolean | undefined;
            enumerableModuleMeta?: boolean | undefined;
            ignoreFunctionLength?: boolean | undefined;
            ignoreFunctionName?: boolean | undefined;
            ignoreToPrimitiveHint?: boolean | undefined;
            iterableIsArray?: boolean | undefined;
            mutableTemplateObject?: boolean | undefined;
            noClassCalls?: boolean | undefined;
            noDocumentAll?: boolean | undefined;
            noIncompleteNsImportDetection?: boolean | undefined;
            noNewArrows?: boolean | undefined;
            objectRestNoSymbols?: boolean | undefined;
            privateFieldsAsProperties?: boolean | undefined;
            pureGetters?: boolean | undefined;
            setClassMethods?: boolean | undefined;
            setComputedProperties?: boolean | undefined;
            setPublicClassFields?: boolean | undefined;
            setSpreadProperties?: boolean | undefined;
            skipForOfIteratorClosing?: boolean | undefined;
            superIsCallableConstructor?: boolean | undefined;
            tsEnumIsReadonly?: boolean | undefined;
        } | undefined;
        parser?: {
            syntax: "typescript" | "ecmascript";
            dynamicImport?: boolean | undefined;
            tsx?: boolean | undefined;
            decorators?: boolean | undefined;
            jsx?: boolean | undefined;
            numericSeparator?: boolean | undefined;
            classPrivateProperty?: boolean | undefined;
            privateMethod?: boolean | undefined;
            classProperty?: boolean | undefined;
            functionBind?: boolean | undefined;
            decoratorsBeforeExport?: boolean | undefined;
            exportDefaultFrom?: boolean | undefined;
            exportNamespaceFrom?: boolean | undefined;
            nullishCoalescing?: boolean | undefined;
            optionalChaining?: boolean | undefined;
            importMeta?: boolean | undefined;
            topLevelAwait?: boolean | undefined;
            importAssertions?: boolean | undefined;
            importAttributes?: boolean | undefined;
            allowSuperOutsideMethod?: boolean | undefined;
            allowReturnOutsideFunction?: boolean | undefined;
            autoAccessors?: boolean | undefined;
            explicitResourceManagement?: boolean | undefined;
        } | undefined;
        externalHelpers?: boolean | undefined;
        experimental?: {
            optimizeHygiene?: boolean | undefined;
            keepImportAttributes?: boolean | undefined;
            emitAssertForImportAttributes?: boolean | undefined;
            cacheRoot?: string | undefined;
            plugins?: [string, Record<string, any>][] | undefined;
            runPluginFirst?: boolean | undefined;
            disableBuiltinTransformsForInternalTesting?: boolean | undefined;
            emitIsolatedDts?: boolean | undefined;
            disableAllLints?: boolean | undefined;
            keepImportAssertions?: boolean | undefined;
        } | undefined;
        baseUrl?: string | undefined;
        paths?: Record<string, string[]> | undefined;
        preserveAllComments?: boolean | undefined;
    } | undefined;
    sourceMaps?: boolean | "inline" | undefined;
    isModule?: boolean | "unknown" | undefined;
    rspackExperiments?: {
        import?: {
            libraryName: string;
            libraryDirectory?: string | undefined;
            customName?: string | undefined;
            customStyleName?: string | undefined;
            style?: string | boolean | undefined;
            styleLibraryDirectory?: string | undefined;
            camelToDashComponentName?: boolean | undefined;
            transformToDefaultImport?: boolean | undefined;
            ignoreEsComponent?: string[] | undefined;
            ignoreStyleComponent?: string[] | undefined;
        }[] | undefined;
    } | undefined;
}>;
